//
//genesis
//

newclass	Asym_diffclass

/*
**********************************************************************
**                          OBJECT TABLE                            **
**********************************************************************
*/

//======================================================================
//	name		data_type	function	class		
//======================================================================

object	Asym_diff_object Asym_diff_struct Asym_diff Asym_diffclass device \
	-author 	"H. Urakubo, Univ. of Tokyo, 2/04" \
	-actions	PROCESS RESET\
        -fields "A"     "State variables for return msgs to pools" \
                "B"     "State variables for return msgs to pools" \
                "kf"    "Forward and Backward rate consts" \
                "kb"    "Forward and Backward rate consts" \
	-readwrite kf "KF (1/s) From A to B" \
	-readwrite kb "KB (1/s) From B to A" \
	-messages  SUBSTRATE 0 2 n vol\
	-messages  PRODUCT   1 2 n vol\
	-description "Asymmetric diffusion between compartments"
