#include "SIMPLE_ENZ_REAC_ext.h"

/* H.Urakubo U of Tokyo 2/04 */

SIMPLE_ENZ_REAC(C,action)
struct SIMPLE_ENZ_REAC_struct *C;
Action		*action;
{
MsgIn	*msg;
double	conc1, conc2, conc3;

    SELECT_ACTION(action){
    case INIT:
      break;
    case PROCESS:
      MSGLOOP(C,msg) {

      case 0: /* Substrate */
	conc1 = MSGVALUE(msg,1);
	if (conc1 > 0)
	      conc1 = MSGVALUE(msg,0)/conc1;
	else
	      conc1 = 0;
        break;
      case 1: /* Product */
	conc2 = MSGVALUE(msg,1);
	if (conc2 > 0)
	      conc2 = MSGVALUE(msg,0)/conc2;
	else
	      conc2 = 0;
        break;
      case 2: /* Enzyme */
	conc3 = MSGVALUE(msg,1);
	if (conc3 > 0)
	      conc3 = MSGVALUE(msg,0)/conc3;
	else
	      conc3 = 0;
        break;
      }
      C->A = 0;
      C->B = conc1 * conc3 * C->kf;
      break;
    }
}
