//
//
//    Clock No.5 is used for kinetics.
//
//

str name
ce /kinetics
foreach name ({el ##[]})
useclock {name} 5
end
ce ..
useclock /cell/NMDAR_EPSP 5
useclock /cell/NMDAR_Ca   5
useclock /cell/AMPAR_EPSP 5

//
// Variable time step run
//

function VARIABLE_STEP_RUN(RUNTIME)
float RUNTIME
 float TRANSIENT_TIME1 = 0.1
// float TRANSIENT_TIME2 = 0.4
// float TRANSIENT_TIME1 = 1.2
 float TRANSIENT_TIME2 = 1.6
RESET_SAVE_COUNTER

setclock 0 2e-5 // No.0...membrane pot (basal clock)
setclock 5 2e-5 // No.5...kinetics ### Further Changed !!
setclock 4 1e-4 // No.4...graph
do_set_graph_dt 0.1
        if (RUNTIME > TRANSIENT_TIME2)
                step {TRANSIENT_TIME1} -time
                setclock 0 1e-4
                setclock 5 1e-4 //### Further Changed !!
                step {TRANSIENT_TIME2 - TRANSIENT_TIME1} -time
                setclock 0 5e-4
                setclock 5 3e-4 //### Further Changed !!
                step {RUNTIME - TRANSIENT_TIME2} -time
        elif (RUNTIME > TRANSIENT_TIME1)
                step {TRANSIENT_TIME1} -time
                setclock 0 1e-4
                setclock 5 1e-4  //### Changed !!
                step {RUNTIME - TRANSIENT_TIME1} -time
        else
                step {RUNTIME} -time
        end
end

//
// Rough step run
//

function ROUGH_RUN(RUNTIME)
float RUNTIME
RESET_SAVE_COUNTER
if (DO_X)
setfield /#graphs/#[TYPE=xgraph] xmax {{getstat -time} + RUNTIME}
end
  setclock 0 5e-4 // basal clock No.0
//  setclock 5 5e-3
  setclock 5 1e-3 // basal clock No.5
  setclock 4 0.1
  do_set_graph_dt 10
  do_set_controldt {RUNTIME}

  step {RUNTIME} -time
end

//
// Fine step run
//

function FINE_STEP_RUN(RUNTIME)
float RUNTIME
if (DO_X)
setfield /#graphs/#[TYPE=xgraph] xmax {{getstat -time} + RUNTIME}
end
  setclock 0 5e-4 // basal clock No.0
//  setclock 5 2e-3
  setclock 5 0.5e-3 // basal clock No.5
  do_set_graph_dt 0.5
  setclock 4 0.01
  do_set_controldt {RUNTIME}

  step {RUNTIME} -time
end

//
//
//
