//genesis
// kkit Version 9 flat dumpfile
 
// Saved on Wed Jan 16 09:23:52 2008
 
include kkit {argv 1}
 
FASTDT = 5e-06
SIMDT = 5e-05
CONTROLDT = 0.002
PLOTDT = 10
MAXTIME = 1500
TRANSIENT_TIME = 15
VARIABLE_DT_FLAG = 1
DEFAULT_VOL = 2e-20
VERSION = 9.0
setfield /file/modpath value /home/bar/urakubo/prog_kkit
kparms
 
//genesis

initdump -version 3 -ignoreorphans 1
simobjdump table input output alloced step_mode stepsize x y z
simobjdump xtree path script namemode sizescale
simobjdump xcoredraw xmin xmax ymin ymax
simobjdump xtext editable
simobjdump xgraph xmin xmax ymin ymax overlay
simobjdump xplot pixflags script fg ysquish do_slope wy
simobjdump group xtree_fg_req xtree_textfg_req plotfield expanded movealone \
  link savename file version md5sum mod_save_flag x y z
simobjdump kpool CoTotal CoInit Co n nInit nTotal nMin vol slave_enable notes \
  xtree_fg_req xtree_textfg_req x y z
simobjdump kreac kf kb notes xtree_fg_req xtree_textfg_req x y z
simobjdump kenz CoComplexInit CoComplex nComplexInit nComplex vol k1 k2 k3 \
  keepconc usecomplex notes xtree_fg_req xtree_textfg_req link x y z
simobjdump stim level1 width1 delay1 level2 width2 delay2 baselevel trig_time \
  trig_mode notes xtree_fg_req xtree_textfg_req is_running x y z
simobjdump xtab input output alloced step_mode stepsize notes editfunc \
  xtree_fg_req xtree_textfg_req baselevel last_x last_y is_running x y z
simobjdump kchan perm gmax Vm is_active use_nernst notes xtree_fg_req \
  xtree_textfg_req x y z
simobjdump transport input output alloced step_mode stepsize dt delay clock \
  kf xtree_fg_req xtree_textfg_req x y z
simobjdump proto x y z
simobjdump linkinfo xtree_fg_req xtree_textfg_req uplink downlink x y z
simobjdump uplink xtree_fg_req xtree_textfg_req x y z
simobjdump downlink xtree_fg_req xtree_textfg_req x y z
simobjdump mirror notes xtree_fg_req x y z
simundump group /kinetics/CaM_cytosol 0 45 yellow x 0 0 "" CaM_cytosol \
  /home/bar/urakubo/prog_kkit/CaM_cytosol_0.g 0 0 0 881 -1271 0
simundump kpool /kinetics/CaM_cytosol/CaM 0 80 80 80 3840 3840 3840 0 48 0 "" \
  2 45 881 -1275 0
simundump kreac /kinetics/CaM_cytosol/CaM-bind-Ca 0 1.0667 200 "" white 45 \
  881 -1277 0
simundump kpool /kinetics/CaM_cytosol/CaMCa 0 0.19944 0 0 0 0 9.5733 0 48 0 \
  "" 4 45 881 -1279 0
simundump kreac /kinetics/CaM_cytosol/CaMCa-bind-Ca 0 2.7771 1000 "" white 45 \
  881 -1281 0
simundump kpool /kinetics/CaM_cytosol/CaMCa2 0 0.016605 0 0 0 0 0.79704 0 48 \
  0 "" 8 45 881 -1283 0
simundump kreac /kinetics/CaM_cytosol/CaMCa2-bind-Ca 0 0.53333 400 "" white \
  45 881 -1285 0
simundump kpool /kinetics/CaM_cytosol/CaMCa3 0 8.3025e-06 0 0 0 0 0.00039852 \
  0 48 0 "" blue 45 881 -1287 0
simundump group /kinetics/CaN_cytosol 0 2 yellow x 0 0 "" CaN_cytosol \
  /home/bar/urakubo/prog_kkit/CaN_cytosol_0.g 0 0 0 930 -1264 0
simundump kpool /kinetics/CaN_cytosol/CaN 0 5 3 3 144 144 240 0 48 2 "" 60 2 \
  918 -1267 0
simundump kpool /kinetics/CaN_cytosol/activeCaN 0 0.22223 0 0 0 0 10.667 0 48 \
  2 "" blue 2 953 -1286 0
simundump kenz /kinetics/CaN_cytosol/activeCaN/CaN 0 0 0 0 0 48 0.097222 11.2 \
  2.8 0 0 "" red blue "" 881 -1345 0
simundump kpool /kinetics/CaN_cytosol/CaNCa 0 5 0 0 0 0 240 0 48 2 "" 55 2 \
  936 -1268 0
simundump kpool /kinetics/CaN_cytosol/CaNCaM 0 5 0 0 0 0 240 0 48 2 "" 60 2 \
  912 -1285 0
simundump kreac /kinetics/CaN_cytosol/CaM-CaN[1] 0 0.83333 0.04 "" white 2 \
  932 -1277 0
simundump kreac /kinetics/CaN_cytosol/CaM-CaN[2] 0 0.83333 0.04 "" white 2 \
  914 -1276 0
simundump kreac /kinetics/CaN_cytosol/CaN-Ca1 0 0.41667 1 "" white 2 924 \
  -1271 0
simundump kreac /kinetics/CaN_cytosol/CaN-Ca1[1] 0 0.41667 1 "" white 2 923 \
  -1284 0
simundump kpool /kinetics/CaN_cytosol/CaNCa2 0 5 0 0 0 0 240 0 48 2 "" 55 2 \
  956 -1269 0
simundump kpool /kinetics/CaN_cytosol/CaNCaCaM 0 0 0 0 0 0 0 0 48 2 "" 60 2 \
  932 -1285 0
simundump kreac /kinetics/CaN_cytosol/CaN-Ca1[2] 0 0.20833 2 "" white 2 944 \
  -1271 0
simundump kreac /kinetics/CaN_cytosol/CaM-CaN 0 0.83333 0.04 "" white 2 951 \
  -1277 0
simundump kreac /kinetics/CaN_cytosol/CaN-Ca1[3] 0 0.20833 2 "" white 2 942 \
  -1285 0
simundump group /kinetics/PKA_cytosol 0 blue yellow x 0 0 "" PKA_cytosol \
  /home/bar/urakubo/prog_kkit/PKA_cytosol_0.g 0 \
  3edc6a9d0b139ed603c51c8a24d0a916 1 687 -1289 0
simundump kpool /kinetics/PKA_cytosol/activePKA 1 1 0.05 0.05 2.4 2.4 48 0 48 \
  0 "" yellow blue 627 -1310 0
simundump kenz /kinetics/PKA_cytosol/activePKA/PKA_active 0 0 0 0 0 48 \
  0.068157 21.2 5.3 0 0 "" red yellow "" 763 -1355 0
simundump kreac /kinetics/PKA_cytosol/Release-C1 1 20 0.020833 "" white blue \
  668 -1304 0
simundump kreac /kinetics/PKA_cytosol/cAMP-bind-site-B 1 0.0041667 0.1 "" \
  white blue 685 -1344 0
simundump kreac /kinetics/PKA_cytosol/cAMP-bind-site-A 1 0.041667 10 "" white \
  blue 667 -1316 0
simundump kpool /kinetics/PKA_cytosol/R2C2 1 3 2 2 96 96 144 0 48 0 "" white \
  blue 675 -1347 0
simundump kpool /kinetics/PKA_cytosol/R2C2.cAMP_B 1 0 0 0 0 0 0 0 48 0 "" \
  white blue 675 -1341 0
simundump kpool /kinetics/PKA_cytosol/R2C2.cAMP_B.cAMP_A 1 0 0 0 0 0 0 0 48 0 \
  "" white blue 666 -1330 0
simundump kreac /kinetics/PKA_cytosol/cAMP-bind-site-B[1] 1 0.0020833 0.2 "" \
  white blue 681 -1337 0
simundump kreac /kinetics/PKA_cytosol/cAMP-bind-site-A[1] 1 0.041667 5 "" \
  white blue 670 -1337 0
simundump kreac /kinetics/PKA_cytosol/cAMP-bind-site-B[2] 1 0.0020833 0.1 "" \
  white blue 670 -1322 0
simundump kreac /kinetics/PKA_cytosol/cAMP-bind-site-A[2] 1 0.083333 5 "" \
  white blue 685 -1325 0
simundump kpool /kinetics/PKA_cytosol/R2C.cAMP4 1 0 0 0 0 0 0 0 48 0 "" white \
  blue 678 -1302 0
simundump kreac /kinetics/PKA_cytosol/Release-C2 1 10 0.041667 "" white blue \
  684 -1296 0
simundump kpool /kinetics/PKA_cytosol/R2.cAMP4 1 0 0 0 0 0 0 0 48 0 "" white \
  blue 698 -1292 0
simundump kpool /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP2_A 1 0 0 0 0 0 0 0 48 \
  0 "" white blue 659 -1310 0
simundump kpool /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP_A 1 0 0 0 0 0 0 0 48 \
  0 "" white blue 680 -1319 0
simundump kpool /kinetics/PKA_cytosol/R2C2.cAMP2_B 1 0 0 0 0 0 0 0 48 0 "" \
  white blue 684 -1330 0
simundump kpool /kinetics/PKA_cytosol/R2C.cAMP3 1 0 0 0 0 0 0 0 48 0 "" white \
  blue 697 -1309 0
simundump kreac /kinetics/PKA_cytosol/Release-C1[1] 1 2 0.20833 "" white blue \
  688 -1313 0
simundump kreac /kinetics/PKA_cytosol/cAMP-bind-site-A[3] 1 0.41667 1 "" \
  white blue 686 -1306 0
simundump kpool /kinetics/PKA_cytosol/R2.cAMP3 1 0 0 0 0 0 0 0 48 0 "" white \
  blue 717 -1300 0
simundump kreac /kinetics/PKA_cytosol/Release-C2[1] 1 1 0.41667 "" white blue \
  705 -1304 0
simundump kreac /kinetics/PKA_cytosol/cAMP-bind-site-A[4] 1 4.1667 0.1 "" \
  white blue 705 -1296 0
simundump kpool /kinetics/VGCCflux_cytosol 0 2 0 0 0 0 96 0 48 2 "" 62 yellow \
  838 -1235 0
simundump kreac /kinetics/VGCC_Ca_cytosol 0 1 0 "" white black 840 -1251 0
simundump group /kinetics/Ca_cytosol 0 yellow black x 0 0 "" Ca_cytosol \
  /home/bar/urakubo/prog_kkit/Ca_cytosol_0.g 0 0 0 910 -1248 0
simundump kpool /kinetics/Ca_cytosol/Ca 0 2 0.05 0.05 2.4 2.4 96 0 48 2 "" 62 \
  yellow 903 -1293 0
simundump group /kinetics/AC_cytosol 1 blue yellow x 0 0 "" AC_cytosol \
  /home/bar/urakubo/prog_kkit/AC_cytosol_0.g 0 0 0 743 -1306 0
simundump kpool /kinetics/AC_cytosol/AC1 1 2 2 2 96 96 96 0 48 0 "" yellow \
  blue 749 -1315 0
simundump kreac /kinetics/AC_cytosol/CaM-AC 1 0.125 1 "" white blue 778 -1316 \
  0
simundump kpool /kinetics/AC_cytosol/CaM-AC1 1 6.2275e-08 0 0 0 0 2.9892e-06 \
  0 48 0 "" yellow blue 747 -1323 0
simundump kenz /kinetics/AC_cytosol/CaM-AC1/cyclase 1 6.1908e-08 6.1908e-08 \
  2.9716e-06 2.9716e-06 48 0.026042 40 10 0 1 "" red yellow "" 749 -1332 0
simundump group /kinetics/cAMP_cytosol 0 yellow black x 0 0 ""  \
  /home/bar/urakubo/prog_kkit/_0.g 0 0 0 768 -1341 0
simundump kpool /kinetics/cAMP_cytosol/ATP 1 10000 10000 10000 4.8e+05 \
  4.8e+05 4.8e+05 0 48 4 "" red yellow 722 -1328 0
simundump kreac /kinetics/cAMP_cytosol/leak 0 4e-07 0 "" white yellow 730 \
  -1332 0
simundump kpool /kinetics/cAMP_cytosol/cAMP 1 0.19844 0 0 0 0 9.5253 0 48 2 \
  "" green yellow 722 -1338 0
simundump kpool /kinetics/cAMP_cytosol/AMP 1 1000 1000 1000 48000 48000 48000 \
  0 48 4 "" pink yellow 722 -1347 0
simundump kpool /kinetics/cAMP_cytosol/cAMP-PDE 1 1 1 1 48 48 48 0 48 4 "" \
  green yellow 748 -1358 0
simundump kenz /kinetics/cAMP_cytosol/cAMP-PDE/PDE 0 0 0 0 0 48 0.20834 80 20 \
  0 0 "" red green "" 748 -1343 0
simundump group /kinetics/I1_cytosol 0 23 yellow x 0 1 "" I1_cytosol \
  /home/bar/urakubo/prog_kkit/I1_cytosol_0.g 0 0 0 910 -1358 0
simundump kpool /kinetics/I1_cytosol/I1_active 0 120 0 0 0 0 5760 0 48 0 "" \
  red 23 841 -1343 0
simundump kpool /kinetics/I1_cytosol/I1_inactive 0 5 2 2 96 96 240 0 48 0 "" \
  purple 23 845 -1356 0
simundump group /kinetics/PP1_cytosol 0 yellow black x 0 0 "" PP1_cytosol \
  /home/bar/urakubo/prog_kkit/PP1_cytosol_0.g 0 0 0 941 -1338 2
simundump kpool /kinetics/PP1_cytosol/PP1_active 0 10 0 0 0 0 480 0 48 0 "" 2 \
  yellow 820 -1324 0
simundump kenz /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_3 0 0 0 0 0 48 \
  0.0031724 1.34 0.335 0 0 "" red 2 "" 830 -1316 0
simundump kenz /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_2 0 0 0 0 0 48 \
  0.0031724 1.34 0.335 0 0 "" red 2 "" 830 -1310 0
simundump kenz /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_1 0 0 0 0 0 48 \
  0.0031724 1.34 0.335 0 0 "" red 2 "" 830 -1304 0
simundump kenz /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_0 0 0 0 0 0 48 \
  0.0031724 1.34 0.335 0 0 "" red 2 "" 830 -1298 0
simundump kenz /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_4 0 0 0 0 0 48 \
  0.0031724 1.34 0.335 0 0 "" red 2 "" 853 -1286 0
simundump kpool /kinetics/PP1_cytosol/PP1*_I1*_complex(inact) 0 2 2 2 96 96 \
  96 0 48 0 "" blue yellow 896 -1329 0
simundump kreac /kinetics/PP1_cytosol/I1-PP1 0 2.0834 1 "" white yellow 838 \
  -1336 0
simundump group /kinetics/CaMKIIinact_cytosol 0 yellow black x 0 0 "" \
  CaMKIIinact_cytosol /home/bar/urakubo/prog_kkit/CaMKIIinact_cytosol_0.g 0 0 \
  0 816 -1272 0
simundump kpool /kinetics/CaMKIIinact_cytosol/WI 0 140.06 20 20 960 960 \
  6722.9 0 48 0 "" 48 yellow 882 -1294 0
simundump group /kinetics/CaMKII_cytosol 0 21 yellow x 0 0 "" "8 	2" \
  "/home/bar/urakubo/prog_kkit/8 	2_0.g" 0 a589c7acfda5f90ab45b777a48f19fd9 \
  1 816 -1263 0
simundump kreac /kinetics/CaMKII_cytosol/kAT_kTA 0 0.16667 0.001 "" white 21 \
  820 -1292 0
simundump kpool /kinetics/CaMKII_cytosol/WA 0 0 0 0 0 0 0 0 48 0 "" 35 21 821 \
  -1289 0
simundump kpool /kinetics/CaMKII_cytosol/WT2 0 0 0 0 0 0 0 0 48 0 "" 35 21 \
  822 -1309 0
simundump kpool /kinetics/CaMKII_cytosol/WT1 0 0 0 0 0 0 0 0 48 0 "" 35 21 \
  822 -1303 0
simundump kreac /kinetics/CaMKII_cytosol/kTP_kPT_23 0 0.020834 1 "" white 21 \
  800 -1315 0
simundump kreac /kinetics/CaMKII_cytosol/kTP_kPT_12 0 0.020834 1 "" white 21 \
  804 -1309 0
simundump kreac /kinetics/CaMKII_cytosol/kTP_kPT_01 0 0.020834 1 "" white 21 \
  807 -1303 0
simundump kpool /kinetics/CaMKII_cytosol/WT0 0 0 0 0 0 0 0 0 48 0 "" 35 21 \
  823 -1297 0
simundump kpool /kinetics/CaMKII_cytosol/WT 0 0 0 0 0 0 0 0 48 0 "" 35 21 784 \
  -1306 0
simundump kpool /kinetics/CaMKII_cytosol/WB3 0 0.0051788 0 0 0 0 0.24858 0 48 \
  0 "" 45 21 838 -1315 0
simundump kpool /kinetics/CaMKII_cytosol/WB2 0 0 0 0 0 0 0 0 48 0 "" 45 21 \
  838 -1309 0
simundump kpool /kinetics/CaMKII_cytosol/WB1 0 0 0 0 0 0 0 0 48 0 "" 45 21 \
  838 -1303 0
simundump kpool /kinetics/CaMKII_cytosol/WB0 0 0 0 0 0 0 0 0 48 0 "" 45 21 \
  838 -1297 0
simundump kpool /kinetics/CaMKII_cytosol/WB 0 3 3 0 0 144 144 0 48 0 "" 45 21 \
  901 -1308 0
simundump kreac /kinetics/CaMKII_cytosol/kIB_kBI_3 0 0.16667 1 "" white 21 \
  849 -1315 0
simundump kreac /kinetics/CaMKII_cytosol/kIB_kBI_2 0 8.3333e-06 1 "" white 21 \
  849 -1309 0
simundump kreac /kinetics/CaMKII_cytosol/kIB_kBI_1 0 8.3333e-06 1 "" white 21 \
  849 -1303 0
simundump kreac /kinetics/CaMKII_cytosol/kIB_kBI_0 0 8.3333e-06 1 "" white 21 \
  850 -1297 0
simundump kreac /kinetics/CaMKII_cytosol/VA3 0 -0 0 "" white 21 830 -1315 0
simundump kreac /kinetics/CaMKII_cytosol/VA2 0 -0 0 "" white 21 830 -1309 0
simundump kreac /kinetics/CaMKII_cytosol/VA1 0 -0 0 "" white 21 830 -1303 0
simundump kreac /kinetics/CaMKII_cytosol/VA0 0 -0 0 "" white 21 830 -1297 0
simundump kpool /kinetics/CaMKII_cytosol/WP 0 0 0 0 0 0 0 0 48 0 "" 35 21 822 \
  -1315 0
simundump kreac /kinetics/CaMKII_cytosol/CaM-bind-Ca 0 1.0667 200 "" white 21 \
  842 -1300 0
simundump kreac /kinetics/CaMKII_cytosol/CaMCa-bind-Ca 0 2.7771 1000 "" white \
  21 843 -1306 0
simundump kreac /kinetics/CaMKII_cytosol/CaMCa2-bind-Ca 0 0.53333 0.02 "" \
  white 21 843 -1312 0
simundump kpool /kinetics/CaMKII_cytosol/activeCaMKII 0 1 0 0 0 0 48 0 48 1 \
  "" red 21 892 -1323 0
simundump group /kinetics/PP2A_cytosol 0 23 yellow x 0 0 "" PP2A_cytosol \
  /home/bar/urakubo/prog_kkit/PP2A_cytosol_0.g 0 0 0 904 -1393 0
simundump kpool /kinetics/PP2A_cytosol/activePP2A 0 0.5 0.03 0.03 1.44 1.44 \
  24 0 48 0 "" orange 23 871 -1377 0
simundump kenz /kinetics/PP2A_cytosol/activePP2A/PP2A 0 0 0 0 0 48 0.097222 \
  11.2 2.8 0 0 "" red orange "" 923 -1349 0
simundump kenz /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_1 0 0 0 0 0 48 \
  0.0031724 1.34 0.335 0 0 "" red orange "" 830 -1306 0
simundump kenz /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_2 0 0 0 0 0 48 \
  0.0031724 1.34 0.335 0 0 "" red orange "" 830 -1312 0
simundump kenz /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_3 0 0 0 0 0 48 \
  0.0031724 1.34 0.335 0 0 "" red orange "" 830 -1319 0
simundump kenz /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_4 0 0 0 0 0 48 \
  0.0031724 1.34 0.335 0 0 "" red orange "" 852 -1289 0
simundump kenz /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_0 0 0 0 0 0 48 \
  0.0031724 1.34 0.335 0 0 "" red orange "" 830 -1301 0
simundump group /kinetics/AMPAR_cytosol 0 12 yellow x 0 0 "" AMPAR_cytosol \
  /home/bar/urakubo/prog_kkit/AMPAR_cytosol_0.g 0 0 0 942 -1409 0
simundump kpool /kinetics/AMPAR_cytosol/S845P_int 0 5 3 3 144 144 240 0 48 0 \
  "" 15 12 760 -1484 0
simundump kreac /kinetics/AMPAR_cytosol/IN_OUT 0 0.00185 0.00055555 "" white \
  12 851 -1484 0
simundump kreac /kinetics/AMPAR_cytosol/IN 0 1 0 "" white 12 854 -1499 0
simundump kpool /kinetics/AMPAR_cytosol/Nophos_int 0 5 3 3 144 144 240 0 48 0 \
  "" 45 12 759 -1499 0
simundump kpool /kinetics/AMPAR_cytosol/Memb_AMPAR 0 0 0 0 0 0 0 0 48 0 "" 40 \
  12 982 -1526 0
simundump kpool /kinetics/AMPAR_cytosol/Internal_AMPAR 0 6 0 6 288 0 288 0 48 \
  0 "" 50 12 712 -1525 0
simundump kpool /kinetics/AMPAR_cytosol/S845P 0 5 0 0 0 0 240 0 48 0 "" 10 12 \
  953 -1484 0
simundump kpool /kinetics/AMPAR_cytosol/Nophos 0 5 0 0 0 0 240 0 48 0 "" 40 \
  12 953 -1498 0
simundump kpool /kinetics/AMPAR_cytosol/StgP 0 5 0 0 0 0 240 0 48 0 "" 40 12 \
  949 -1466 0
simundump kpool /kinetics/AMPAR_cytosol/S845PStgP 0 5 0 0 0 0 240 0 48 0 "" \
  10 12 946 -1448 0
simundump kpool /kinetics/AMPAR_cytosol/StgP_int 0 5 0 0 0 0 240 0 48 0 "" 45 \
  12 763 -1467 0
simundump kpool /kinetics/AMPAR_cytosol/S845PStgP_int 0 5 0 0 0 0 240 0 48 0 \
  "" 15 12 760 -1448 0
simundump kreac /kinetics/AMPAR_cytosol/IN_OUT[1] 0 0.00185 0.00055555 "" \
  white 12 854 -1448 0
simundump kreac /kinetics/AMPAR_cytosol/IN[1] 0 1 0 "" white 12 856 -1466 0
simundump kpool /kinetics/AMPAR_cytosol/activePKAc 0 0.05 0 0.05 2.4 0 2.4 0 \
  48 0 "" 0 12 808 -1418 0
simundump kpool /kinetics/AMPAR_cytosol/activeCaNc 0 0 0 0 0 0 0 0 48 0 "" 30 \
  12 911 -1418 0
simundump kpool /kinetics/AMPAR_cytosol/activePP1c 0 0 0 0 0 0 0 0 48 0 "" 24 \
  12 779 -1428 0
simundump kpool /kinetics/AMPAR_cytosol/activePP2Ac 0 0.03 0 0.03 1.44 0 1.44 \
  0 48 0 "" orange 12 925 -1426 0
simundump kpool /kinetics/AMPAR_cytosol/activeCaMKIIc 0 0 0 0 0 0 0 0 48 0 "" \
  red 12 858 -1433 0
simundump group /kinetics/CaM_PSD 0 45 yellow x 0 0 "" CaM_PSD \
  /home2/bhalla/scripts/modules/CaM_PSD_0.g 0 0 0 1163 -1268 0
simundump kpool /kinetics/CaM_PSD/CaM 0 80 80 80 960 960 960 0 12 0 "" 2 45 \
  1163 -1272 0
simundump kreac /kinetics/CaM_PSD/CaM-bind-Ca 0 4.2667 200 "" white 45 1163 \
  -1274 0
simundump kpool /kinetics/CaM_PSD/CaMCa 0 0.19945 0 0 0 0 2.3934 0 12 0 "" 4 \
  45 1163 -1276 0
simundump kreac /kinetics/CaM_PSD/CaMCa-bind-Ca 0 11.108 1000 "" white 45 \
  1163 -1278 0
simundump kpool /kinetics/CaM_PSD/CaMCa2 0 0.016605 0 0 0 0 0.19926 0 12 0 "" \
  8 45 1163 -1280 0
simundump kreac /kinetics/CaM_PSD/CaMCa2-bind-Ca 0 2.1333 400 "" white 45 \
  1163 -1282 0
simundump kpool /kinetics/CaM_PSD/CaMCa3 0 8.3027e-06 0 0 0 0 9.9632e-05 0 12 \
  0 "" blue 45 1163 -1284 0
simundump group /kinetics/CaN_PSD 0 2 yellow x 0 0 "" CaN_PSD \
  /home/bar/urakubo/prog_kkit/CaN_PSD_0.g 0 0 0 1234 -1266 0
simundump kpool /kinetics/CaN_PSD/CaN 0 5 3 3 36 36 60 0 12 2 "" 60 2 1220 \
  -1270 0
simundump kpool /kinetics/CaN_PSD/activeCaN 0 2 0 0 0 0 24 0 12 2 "" blue 2 \
  1265 -1293 0
simundump kenz /kinetics/CaN_PSD/activeCaN/CaN 0 0 0 0 0 12 0.38889 11.2 2.8 \
  0 0 "" red blue "" 1195 -1353 0
simundump kreac /kinetics/CaN_PSD/CaN-Ca1 0 1.6667 1 "" white 2 1232 -1274 0
simundump kpool /kinetics/CaN_PSD/CaNCa 0 5 0 0 0 0 60 0 12 2 "" 55 2 1246 \
  -1273 0
simundump kpool /kinetics/CaN_PSD/CaNCaM 0 0 0 0 0 0 0 0 12 2 "" 60 2 1214 \
  -1289 0
simundump kreac /kinetics/CaN_PSD/CaM-CaN[1] 0 3.3333 0.04 "" white 2 1241 \
  -1282 0
simundump kreac /kinetics/CaN_PSD/CaM-CaN[2] 0 3.3333 0.04 "" white 2 1218 \
  -1280 0
simundump kreac /kinetics/CaN_PSD/CaN-Ca1[1] 0 1.6667 1 "" white 2 1228 -1291 \
  0
simundump kpool /kinetics/CaN_PSD/CaNCa2 0 5 0 0 0 0 60 0 12 2 "" 55 2 1270 \
  -1275 0
simundump kpool /kinetics/CaN_PSD/CaNCaCaM 0 0 0 0 0 0 0 0 12 2 "" 60 2 1240 \
  -1292 0
simundump kreac /kinetics/CaN_PSD/CaN-Ca1[2] 0 0.83333 2 "" white 2 1257 \
  -1276 0
simundump kreac /kinetics/CaN_PSD/CaN-Ca1[3] 0 0.83333 2 "" white 2 1253 \
  -1295 0
simundump kreac /kinetics/CaN_PSD/CaM-CaN 0 3.3333 0.04 "" white 2 1265 -1284 \
  0
simundump group /kinetics/PKA_PSD 0 blue yellow x 0 0 "" PKA_PSD \
  /home/bar/urakubo/prog_kkit/PKA_PSD_0.g 0 3edc6a9d0b139ed603c51c8a24d0a916 \
  1 999 -1290 0
simundump kpool /kinetics/PKA_PSD/activePKA 1 1 0.05 0.05 0.6 0.6 12 0 12 0 \
  "" yellow blue 962 -1298 0
simundump kenz /kinetics/PKA_PSD/activePKA/PKA_active 0 0 0 0 0 12 0.27263 \
  21.2 5.3 0 0 "" red yellow "" 1102 -1354 0
simundump kreac /kinetics/PKA_PSD/Release-C1 1 20 0.083333 "" white blue 979 \
  -1303 0
simundump kreac /kinetics/PKA_PSD/cAMP-bind-site-B 1 0.016667 0.1 "" white \
  blue 993 -1345 0
simundump kreac /kinetics/PKA_PSD/cAMP-bind-site-A 1 0.16667 10 "" white blue \
  975 -1314 0
simundump kpool /kinetics/PKA_PSD/R2C2 1 3 2 2 24 24 36 0 12 0 "" white blue \
  987 -1348 0
simundump kpool /kinetics/PKA_PSD/R2C2.cAMP_B 1 0 0 0 0 0 0 0 12 0 "" white \
  blue 987 -1342 0
simundump kpool /kinetics/PKA_PSD/R2C2.cAMP_B.cAMP_A 1 0 0 0 0 0 0 0 12 0 "" \
  white blue 978 -1331 0
simundump kreac /kinetics/PKA_PSD/cAMP-bind-site-B[1] 1 0.0083333 0.2 "" \
  white blue 993 -1338 0
simundump kreac /kinetics/PKA_PSD/cAMP-bind-site-A[1] 1 0.16667 5 "" white \
  blue 982 -1338 0
simundump kreac /kinetics/PKA_PSD/cAMP-bind-site-B[2] 1 0.0083333 0.1 "" \
  white blue 982 -1323 0
simundump kreac /kinetics/PKA_PSD/cAMP-bind-site-A[2] 1 0.33333 5 "" white \
  blue 993 -1322 0
simundump kpool /kinetics/PKA_PSD/R2C.cAMP4 1 0 0 0 0 0 0 0 12 0 "" white \
  blue 989 -1301 0
simundump kreac /kinetics/PKA_PSD/Release-C2 1 10 0.16667 "" white blue 992 \
  -1296 0
simundump kpool /kinetics/PKA_PSD/R2.cAMP4 1 0 0 0 0 0 0 0 12 0 "" white blue \
  1002 -1294 0
simundump kpool /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP2_A 1 0 0 0 0 0 0 0 12 0 \
  "" white blue 975 -1308 0
simundump kpool /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP_A 1 0 0 0 0 0 0 0 12 0 "" \
  white blue 990 -1318 0
simundump kpool /kinetics/PKA_PSD/R2C2.cAMP2_B 1 0 0 0 0 0 0 0 12 0 "" white \
  blue 996 -1331 0
simundump kpool /kinetics/PKA_PSD/R2C.cAMP3 1 0 0 0 0 0 0 0 12 0 "" white \
  blue 1003 -1310 0
simundump kreac /kinetics/PKA_PSD/cAMP-bind-site-A[3] 1 1.6667 1 "" white \
  blue 995 -1305 0
simundump kreac /kinetics/PKA_PSD/Release-C1[1] 1 2 0.83333 "" white blue 992 \
  -1311 0
simundump kpool /kinetics/PKA_PSD/R2.cAMP3 1 0 0 0 0 0 0 0 12 0 "" white blue \
  1017 -1303 0
simundump kreac /kinetics/PKA_PSD/Release-C2[1] 1 1 1.6667 "" white blue 1008 \
  -1304 0
simundump kreac /kinetics/PKA_PSD/cAMP-bind-site-A[4] 1 16.667 1 "" white \
  blue 1009 -1299 0
simundump kpool /kinetics/NMDARflux 0 2 0 0 0 0 24 0 12 2 "" 62 yellow 1240 \
  -1232 0
simundump kreac /kinetics/NMDAR_Ca 0 1 0 "" white black 1224 -1251 0
simundump kreac /kinetics/VGCC_Ca_PSD 0 1 0 "" white black 1160 -1252 0
simundump kpool /kinetics/VGCCflux_PSD 0 2 0 0 0 0 24 0 12 2 "" 62 yellow \
  1147 -1232 0
simundump group /kinetics/Ca_PSD 0 yellow black x 0 0 "" Ca_PSD \
  /home/bar/urakubo/prog_kkit/Ca_PSD_0.g 0 0 0 1130 -1255 0
simundump kpool /kinetics/Ca_PSD/Ca 0 3.95 0.05 0.05 0.6 0.6 47.4 0 12 2 "" \
  62 yellow 1204 -1301 0
simundump kpool /kinetics/Resting_Ca2+ 0 45.837 0.05 0.05 0.6 0.6 550.04 0 12 \
  4 "" 25 yellow 1010 -1244 0
simundump group /kinetics/AC_PSD 1 blue yellow x 0 0 "" blue \
  /home/bar/urakubo/prog_kkit/blue_0.g 0 0 0 1048 -1309 0
simundump kpool /kinetics/AC_PSD/AC1 1 2 2 2 24 24 24 0 12 0 "" yellow blue \
  1054 -1318 0
simundump kpool /kinetics/AC_PSD/CaM-AC1 1 6.2275e-08 0 0 0 0 7.473e-07 0 12 \
  0 "" yellow blue 1052 -1326 0
simundump kenz /kinetics/AC_PSD/CaM-AC1/cyclase 1 6.1907e-08 6.1907e-08 \
  7.4288e-07 7.4288e-07 12 0.10416 40 10 0 1 "" red yellow "" 1051 -1332 0
simundump kreac /kinetics/AC_PSD/CaM-AC 1 0.5 1 "" white blue 1080 -1321 0
simundump group /kinetics/cAMP_PSD 0 yellow black x 0 0 "" cAMP_PSD \
  /home/bar/urakubo/prog_kkit/cAMP_PSD_0.g 0 0 0 1069 -1339 0
simundump kreac /kinetics/cAMP_PSD/leak 0 4e-07 0 "" white yellow 1035 -1332 \
  0
simundump kpool /kinetics/cAMP_PSD/ATP 1 10000 10000 10000 1.2e+05 1.2e+05 \
  1.2e+05 0 12 4 "" red yellow 1022 -1327 0
simundump kpool /kinetics/cAMP_PSD/cAMP 1 0.19845 0 0 0 0 2.3814 0 12 2 "" \
  green yellow 1022 -1337 0
simundump kpool /kinetics/cAMP_PSD/AMP 1 1000 1000 1000 12000 12000 12000 0 \
  12 4 "" pink yellow 1022 -1346 0
simundump kpool /kinetics/cAMP_PSD/cAMP-PDE 1 1 1 1 12 12 12 0 12 4 "" green \
  yellow 1070 -1347 0
simundump kenz /kinetics/cAMP_PSD/cAMP-PDE/PDE 0 0 0 0 0 12 2.6667 300 20 0 0 \
  "" red green "" 1048 -1340 0
simundump group /kinetics/I1_PSD 0 23 yellow x 0 1 "" I1_PSD \
  /home/bar/urakubo/prog_kkit/I1_PSD_0.g 0 0 0 1215 -1360 0
simundump kpool /kinetics/I1_PSD/I1_active 0 120 0 0 0 0 1440 0 12 0 "" red \
  23 1133 -1347 0
simundump kpool /kinetics/I1_PSD/I1_inactive 0 5 2 2 24 24 60 0 12 0 "" \
  purple 23 1136 -1362 0
simundump group /kinetics/PP1_PSD 0 yellow black x 0 0 "" yellow \
  /home/bar/urakubo/prog_kkit/yellow_0.g 0 0 0 1217 -1340 0
simundump kpool /kinetics/PP1_PSD/PP1*_I1*_complex(inact) 0 2 2 2 24 24 24 0 \
  12 0 "" blue yellow 1171 -1331 0
simundump kpool /kinetics/PP1_PSD/PP1_active 0 10 0 0 0 0 120 0 12 0 "" 2 \
  yellow 1098 -1325 0
simundump kenz /kinetics/PP1_PSD/PP1_active/Thr286_PP1_3 0 0 0 0 0 12 \
  0.012689 1.34 0.335 0 0 "" red 2 "" 1112 -1319 0
simundump kenz /kinetics/PP1_PSD/PP1_active/Thr286_PP1_2 0 0 0 0 0 12 \
  0.012689 1.34 0.335 0 0 "" red 2 "" 1112 -1313 0
simundump kenz /kinetics/PP1_PSD/PP1_active/Thr286_PP1_1 0 0 0 0 0 12 \
  0.012689 1.34 0.335 0 0 "" red 2 "" 1112 -1307 0
simundump kenz /kinetics/PP1_PSD/PP1_active/Thr286_PP1_0 0 0 0 0 0 12 \
  0.012689 1.34 0.335 0 0 "" red 2 "" 1112 -1301 0
simundump kenz /kinetics/PP1_PSD/PP1_active/Thr286_PP1_4 0 0 0 0 0 12 \
  0.012689 1.34 0.335 0 0 "" red 2 "" 1139 -1286 0
simundump kreac /kinetics/PP1_PSD/I1-PP1 0 8.3335 1 "" white yellow 1125 \
  -1336 0
simundump group /kinetics/CaMKIIinact_PSD 0 yellow black x 0 0 "" \
  CaMKIIinact_PSD /home/bar/urakubo/prog_kkit/CaMKIIinact_PSD_0.g 0 0 0 1078 \
  -1273 0
simundump kpool /kinetics/CaMKIIinact_PSD/WI 0 140.06 20 20 240 240 1680.7 0 \
  12 0 "" 48 yellow 1163 -1290 0
simundump group /kinetics/CaMKII_PSD 0 yellow black x 0 1 "" defaultfile \
  /home/bar/urakubo/prog_kkit/defaultfile_0.g 0 0 0 1076 -1261 0
simundump kreac /kinetics/CaMKII_PSD/kAT_kTA 0 0.66667 0.001 "" white 21 1098 \
  -1294 0
simundump kpool /kinetics/CaMKII_PSD/WA 0 0 0 0 0 0 0 0 12 0 "" 35 21 1111 \
  -1290 0
simundump kpool /kinetics/CaMKII_PSD/WT2 0 0 0 0 0 0 0 0 12 0 "" 35 21 1108 \
  -1310 0
simundump kpool /kinetics/CaMKII_PSD/WT1 0 0 0 0 0 0 0 0 12 0 "" 35 21 1108 \
  -1304 0
simundump kreac /kinetics/CaMKII_PSD/kTP_kPT_23 0 0.083335 1 "" white 21 1103 \
  -1316 0
simundump kreac /kinetics/CaMKII_PSD/kTP_kPT_12 0 0.083335 1 "" white 21 1103 \
  -1310 0
simundump kreac /kinetics/CaMKII_PSD/kTP_kPT_01 0 0.083335 1 "" white 21 1103 \
  -1304 0
simundump kpool /kinetics/CaMKII_PSD/WT0 0 0 0 0 0 0 0 0 12 0 "" 35 21 1108 \
  -1298 0
simundump kpool /kinetics/CaMKII_PSD/WB3 0 0.0051787 0 0 0 0 0.062144 0 12 0 \
  "" 45 21 1116 -1316 0
simundump kpool /kinetics/CaMKII_PSD/WB2 0 0 0 0 0 0 0 0 12 0 "" 45 21 1116 \
  -1310 0
simundump kpool /kinetics/CaMKII_PSD/WB1 0 0 0 0 0 0 0 0 12 0 "" 45 21 1116 \
  -1304 0
simundump kpool /kinetics/CaMKII_PSD/WB0 0 0 0 0 0 0 0 0 12 0 "" 45 21 1116 \
  -1298 0
simundump kreac /kinetics/CaMKII_PSD/kIB_kBI_3 0 0.66667 1 "" white 21 1121 \
  -1316 0
simundump kreac /kinetics/CaMKII_PSD/kIB_kBI_2 0 3.3333e-05 1 "" white 21 \
  1121 -1310 0
simundump kreac /kinetics/CaMKII_PSD/kIB_kBI_1 0 3.3333e-05 1 "" white 21 \
  1121 -1304 0
simundump kreac /kinetics/CaMKII_PSD/kIB_kBI_0 0 3.3333e-05 1 "" white 21 \
  1121 -1298 0
simundump kreac /kinetics/CaMKII_PSD/VA3 0 -0 0 "" white 21 1112 -1316 0
simundump kreac /kinetics/CaMKII_PSD/VA2 0 -0 0 "" white 21 1112 -1310 0
simundump kreac /kinetics/CaMKII_PSD/VA1 0 -0 0 "" white 21 1112 -1304 0
simundump kreac /kinetics/CaMKII_PSD/VA0 0 -0 0 "" white 21 1112 -1298 0
simundump kpool /kinetics/CaMKII_PSD/WP 0 0 0 0 0 0 0 0 12 0 "" 35 21 1108 \
  -1316 0
simundump kreac /kinetics/CaMKII_PSD/CaM-bind-Ca 0 4.2667 200 "" white 21 \
  1127 -1301 0
simundump kreac /kinetics/CaMKII_PSD/CaMCa-bind-Ca 0 11.108 1000 "" white 21 \
  1127 -1307 0
simundump kreac /kinetics/CaMKII_PSD/CaMCa2-bind-Ca 0 2.1333 0.02 "" white 21 \
  1127 -1313 0
simundump kpool /kinetics/CaMKII_PSD/WB 0 3 3 0 0 36 36 0 12 0 "" 45 21 1195 \
  -1308 0
simundump kpool /kinetics/CaMKII_PSD/WT 0 0 0 0 0 0 0 0 12 0 "" 35 21 1065 \
  -1307 0
simundump kpool /kinetics/CaMKII_PSD/activeCaMKII 0 1 0 0 0 0 12 0 12 1 "" \
  red 21 1247 -1323 0
simundump group /kinetics/AMPAR_PSD 0 3 yellow x 0 0 "" AMPAR_PSD \
  /home/bar/urakubo/prog_kkit/AMPAR_PSD_0.g 0 0 0 1146 -1398 0
simundump kpool /kinetics/AMPAR_PSD/Scaffold 0 5 0 0 0 0 60 0 12 0 "" 30 3 \
  1214 -1513 0
simundump kpool /kinetics/AMPAR_PSD/S845P_Trapped 0 5 3 3 36 36 60 0 12 0 "" \
  15 3 1236 -1479 0
simundump kpool /kinetics/AMPAR_PSD/Nophos_Trapped 0 5 1 1 12 12 60 0 12 0 "" \
  20 3 1239 -1495 0
simundump kpool /kinetics/AMPAR_PSD/Trapped_AMPAR 0 4 0 4 48 0 48 0 12 0 "" \
  20 3 1295 -1526 0
simundump kpool /kinetics/AMPAR_PSD/PSD_AMPAR 0 0 0 0 0 0 0 0 12 0 "" 30 3 \
  1115 -1527 0
simundump kpool /kinetics/AMPAR_PSD/Nophos 0 5 0 0 0 0 60 0 12 0 "" 35 3 1052 \
  -1494 0
simundump kpool /kinetics/AMPAR_PSD/S845P 0 5 0 0 0 0 60 0 12 0 "" 5 3 1056 \
  -1479 0
simundump kpool /kinetics/AMPAR_PSD/S845PStgP 0 5 0 0 0 0 60 0 12 0 "" 5 3 \
  1060 -1450 0
simundump kpool /kinetics/AMPAR_PSD/StgP 0 5 0 0 0 0 60 0 12 0 "" 5 3 1057 \
  -1466 0
simundump kpool /kinetics/AMPAR_PSD/StgP_Trapped 0 5 0 0 0 0 60 0 12 0 "" 10 \
  3 1234 -1466 0
simundump kpool /kinetics/AMPAR_PSD/S845PStgP_Trapped 0 5 0 0 0 0 60 0 12 0 \
  "" 5 3 1239 -1450 0
simundump kpool /kinetics/AMPAR_PSD/activePKAp 0 0.05 0 0.05 0.6 0 0.6 0 12 0 \
  "" 0 3 1089 -1415 0
simundump kpool /kinetics/AMPAR_PSD/activeCaNp 0 0 0 0 0 0 0 0 12 0 "" 30 3 \
  1165 -1415 0
simundump kreac /kinetics/AMPAR_PSD/trap4 0 0.041667 0.033333 "" white 3 1148 \
  -1449 0
simundump kreac /kinetics/AMPAR_PSD/trap3 0 0.041667 0.033333 "" white 3 1135 \
  -1466 0
simundump kreac /kinetics/AMPAR_PSD/trap2 0 0.0025 0.033333 "" white 3 1134 \
  -1479 0
simundump kreac /kinetics/AMPAR_PSD/trap1 0 0.0025 0.033333 "" white 3 1141 \
  -1494 0
simundump kpool /kinetics/AMPAR_PSD/activePP2Ap 0 0 0 0 0 0 0 0 12 4 "" \
  orange 3 1233 -1418 0
simundump kpool /kinetics/AMPAR_PSD/activePP1p 0 0 0 0 0 0 0 0 12 0 "" 24 3 \
  1102 -1430 0
simundump kpool /kinetics/AMPAR_PSD/activeCaMKIIp 0 0 0 0 0 0 0 0 12 0 "" red \
  3 1193 -1431 0
simundump xgraph /graphs/conc1 0 0 1500 0 1 0
simundump xgraph /graphs/conc2 0 0 1500 0 1 0
simundump xplot /graphs/conc1/PP1_active.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" 2 0 0 1
simundump xplot /graphs/conc1/activePKA.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" yellow 0 0 1
simundump xplot /graphs/conc1/activeCaN.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" blue 0 0 1
simundump xplot /graphs/conc1/CaM-AC1.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" yellow 0 0 1
simundump xplot /graphs/conc1/activeCaMKII.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" red 0 0 1
simundump xplot /graphs/conc1/Ca.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" 62 0 0 1
simundump xplot /graphs/conc2/PP1_active.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" 2 0 0 1
simundump xplot /graphs/conc2/activePKA.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" yellow 0 0 1
simundump xplot /graphs/conc2/activeCaN.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" blue 0 0 1
simundump xplot /graphs/conc2/CaM-AC1.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" yellow 0 0 1
simundump xplot /graphs/conc2/activeCaMKII.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" red 0 0 1
simundump xplot /graphs/conc2/Ca.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" 62 0 0 1
simundump xgraph /moregraphs/conc3 0 0 100 0 1 0
simundump xgraph /moregraphs/conc4 0 0 100 0 1 0
simundump xplot /moregraphs/conc3/cAMP.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" green 0 0 1
simundump xplot /moregraphs/conc3/I1_active.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" red 0 0 1
simundump xplot /moregraphs/conc3/CaMCa3.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" blue 0 0 1
simundump xplot /moregraphs/conc4/Internal_AMPAR.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" 50 0 0 1
simundump xplot /moregraphs/conc4/Memb_AMPAR.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" 40 0 0 1
simundump xplot /moregraphs/conc4/PSD_AMPAR.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" 30 0 0 1
simundump xplot /moregraphs/conc4/Trapped_AMPAR.Co 3 524288 \
  "delete_plot.w <s> <d>; edit_plot.D <w>" 20 0 0 1
simundump xcoredraw /edit/draw 0 917.61 1206.9 -1360.2 -1231.5
simundump xtree /edit/draw/tree 0 \
  /kinetics/#[],/kinetics/#[]/#[],/kinetics/#[]/#[]/#[][TYPE!=proto],/kinetics/#[]/#[]/#[][TYPE!=linkinfo]/##[] \
  "edit_elm.D <v>; drag_from_edit.w <d> <S> <x> <y> <z>" auto 0.6
simundump xtext /file/notes 0 1
xtextload /file/notes \
"Simple model"
addmsg /kinetics/CaM_cytosol/CaM-bind-Ca /kinetics/CaM_cytosol/CaM REAC A B 
addmsg /kinetics/CaMKII_cytosol/kIB_kBI_0 /kinetics/CaM_cytosol/CaM REAC A B 
addmsg /kinetics/CaMKII_cytosol/kAT_kTA /kinetics/CaM_cytosol/CaM REAC A B 
addmsg /kinetics/CaM_cytosol/CaM /kinetics/CaM_cytosol/CaM-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaM_cytosol/CaMCa /kinetics/CaM_cytosol/CaM-bind-Ca PRODUCT n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/CaM_cytosol/CaM-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaM_cytosol/CaM-bind-Ca /kinetics/CaM_cytosol/CaMCa REAC B A 
addmsg /kinetics/CaM_cytosol/CaMCa-bind-Ca /kinetics/CaM_cytosol/CaMCa REAC A B 
addmsg /kinetics/CaMKII_cytosol/kIB_kBI_1 /kinetics/CaM_cytosol/CaMCa REAC A B 
addmsg /kinetics/CaM_cytosol/CaMCa /kinetics/CaM_cytosol/CaMCa-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaM_cytosol/CaMCa2 /kinetics/CaM_cytosol/CaMCa-bind-Ca PRODUCT n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/CaM_cytosol/CaMCa-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaM_cytosol/CaMCa-bind-Ca /kinetics/CaM_cytosol/CaMCa2 REAC B A 
addmsg /kinetics/CaM_cytosol/CaMCa2-bind-Ca /kinetics/CaM_cytosol/CaMCa2 REAC A B 
addmsg /kinetics/CaMKII_cytosol/kIB_kBI_2 /kinetics/CaM_cytosol/CaMCa2 REAC A B 
addmsg /kinetics/CaM_cytosol/CaMCa2 /kinetics/CaM_cytosol/CaMCa2-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaM_cytosol/CaMCa3 /kinetics/CaM_cytosol/CaMCa2-bind-Ca PRODUCT n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/CaM_cytosol/CaMCa2-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaM_cytosol/CaMCa2-bind-Ca /kinetics/CaM_cytosol/CaMCa3 REAC B A 
addmsg /kinetics/CaMKII_cytosol/kIB_kBI_3 /kinetics/CaM_cytosol/CaMCa3 REAC A B 
addmsg /kinetics/AC_cytosol/CaM-AC /kinetics/CaM_cytosol/CaMCa3 REAC A B 
addmsg /kinetics/CaN_cytosol/CaM-CaN[1] /kinetics/CaM_cytosol/CaMCa3 REAC A B 
addmsg /kinetics/CaN_cytosol/CaM-CaN[2] /kinetics/CaM_cytosol/CaMCa3 REAC A B 
addmsg /kinetics/CaN_cytosol/CaM-CaN /kinetics/CaM_cytosol/CaMCa3 REAC A B 
addmsg /kinetics/CaN_cytosol/CaN-Ca1 /kinetics/CaN_cytosol/CaN REAC A B 
addmsg /kinetics/CaN_cytosol/CaM-CaN[2] /kinetics/CaN_cytosol/CaN REAC A B 
addmsg /kinetics/CaN_cytosol/activeCaN/CaN /kinetics/CaN_cytosol/activeCaN REAC eA B 
addmsg /kinetics/CaN_cytosol/CaM-CaN /kinetics/CaN_cytosol/activeCaN REAC B A 
addmsg /kinetics/CaN_cytosol/CaN-Ca1[3] /kinetics/CaN_cytosol/activeCaN REAC B A 
addmsg /kinetics/CaN_cytosol/activeCaN /kinetics/CaN_cytosol/activeCaN/CaN ENZYME n 
addmsg /kinetics/I1_cytosol/I1_active /kinetics/CaN_cytosol/activeCaN/CaN SUBSTRATE n 
addmsg /kinetics/CaN_cytosol/CaN-Ca1 /kinetics/CaN_cytosol/CaNCa REAC B A 
addmsg /kinetics/CaN_cytosol/CaM-CaN[1] /kinetics/CaN_cytosol/CaNCa REAC A B 
addmsg /kinetics/CaN_cytosol/CaN-Ca1[2] /kinetics/CaN_cytosol/CaNCa REAC A B 
addmsg /kinetics/CaN_cytosol/CaN-Ca1[1] /kinetics/CaN_cytosol/CaNCaM REAC A B 
addmsg /kinetics/CaN_cytosol/CaM-CaN[2] /kinetics/CaN_cytosol/CaNCaM REAC B A 
addmsg /kinetics/CaN_cytosol/CaNCa /kinetics/CaN_cytosol/CaM-CaN[1] SUBSTRATE n 
addmsg /kinetics/CaM_cytosol/CaMCa3 /kinetics/CaN_cytosol/CaM-CaN[1] SUBSTRATE n 
addmsg /kinetics/CaN_cytosol/CaNCaCaM /kinetics/CaN_cytosol/CaM-CaN[1] PRODUCT n 
addmsg /kinetics/CaN_cytosol/CaN /kinetics/CaN_cytosol/CaM-CaN[2] SUBSTRATE n 
addmsg /kinetics/CaN_cytosol/CaNCaM /kinetics/CaN_cytosol/CaM-CaN[2] PRODUCT n 
addmsg /kinetics/CaM_cytosol/CaMCa3 /kinetics/CaN_cytosol/CaM-CaN[2] SUBSTRATE n 
addmsg /kinetics/CaN_cytosol/CaN /kinetics/CaN_cytosol/CaN-Ca1 SUBSTRATE n 
addmsg /kinetics/CaN_cytosol/CaNCa /kinetics/CaN_cytosol/CaN-Ca1 PRODUCT n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/CaN_cytosol/CaN-Ca1 SUBSTRATE n 
addmsg /kinetics/CaN_cytosol/CaNCaM /kinetics/CaN_cytosol/CaN-Ca1[1] SUBSTRATE n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/CaN_cytosol/CaN-Ca1[1] SUBSTRATE n 
addmsg /kinetics/CaN_cytosol/CaNCaCaM /kinetics/CaN_cytosol/CaN-Ca1[1] PRODUCT n 
addmsg /kinetics/CaN_cytosol/CaN-Ca1[2] /kinetics/CaN_cytosol/CaNCa2 REAC B A 
addmsg /kinetics/CaN_cytosol/CaM-CaN /kinetics/CaN_cytosol/CaNCa2 REAC A B 
addmsg /kinetics/CaN_cytosol/CaM-CaN[1] /kinetics/CaN_cytosol/CaNCaCaM REAC B A 
addmsg /kinetics/CaN_cytosol/CaN-Ca1[1] /kinetics/CaN_cytosol/CaNCaCaM REAC B A 
addmsg /kinetics/CaN_cytosol/CaN-Ca1[3] /kinetics/CaN_cytosol/CaNCaCaM REAC A B 
addmsg /kinetics/CaN_cytosol/CaNCa /kinetics/CaN_cytosol/CaN-Ca1[2] SUBSTRATE n 
addmsg /kinetics/CaN_cytosol/CaNCa2 /kinetics/CaN_cytosol/CaN-Ca1[2] PRODUCT n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/CaN_cytosol/CaN-Ca1[2] SUBSTRATE n 
addmsg /kinetics/CaN_cytosol/CaNCa2 /kinetics/CaN_cytosol/CaM-CaN SUBSTRATE n 
addmsg /kinetics/CaN_cytosol/activeCaN /kinetics/CaN_cytosol/CaM-CaN PRODUCT n 
addmsg /kinetics/CaM_cytosol/CaMCa3 /kinetics/CaN_cytosol/CaM-CaN SUBSTRATE n 
addmsg /kinetics/CaN_cytosol/CaNCaCaM /kinetics/CaN_cytosol/CaN-Ca1[3] SUBSTRATE n 
addmsg /kinetics/CaN_cytosol/activeCaN /kinetics/CaN_cytosol/CaN-Ca1[3] PRODUCT n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/CaN_cytosol/CaN-Ca1[3] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/activePKA/PKA_active /kinetics/PKA_cytosol/activePKA REAC eA B 
addmsg /kinetics/PKA_cytosol/Release-C1 /kinetics/PKA_cytosol/activePKA REAC B A 
addmsg /kinetics/PKA_cytosol/Release-C2 /kinetics/PKA_cytosol/activePKA REAC B A 
addmsg /kinetics/PKA_cytosol/Release-C1[1] /kinetics/PKA_cytosol/activePKA REAC B A 
addmsg /kinetics/PKA_cytosol/Release-C2[1] /kinetics/PKA_cytosol/activePKA REAC B A 
addmsg /kinetics/PKA_cytosol/activePKA /kinetics/PKA_cytosol/activePKA/PKA_active ENZYME n 
addmsg /kinetics/I1_cytosol/I1_inactive /kinetics/PKA_cytosol/activePKA/PKA_active SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2C.cAMP4 /kinetics/PKA_cytosol/Release-C1 PRODUCT n 
addmsg /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP2_A /kinetics/PKA_cytosol/Release-C1 SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/activePKA /kinetics/PKA_cytosol/Release-C1 PRODUCT n 
addmsg /kinetics/PKA_cytosol/R2C2 /kinetics/PKA_cytosol/cAMP-bind-site-B SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2C2.cAMP_B /kinetics/PKA_cytosol/cAMP-bind-site-B PRODUCT n 
addmsg /kinetics/cAMP_cytosol/cAMP /kinetics/PKA_cytosol/cAMP-bind-site-B SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP_A /kinetics/PKA_cytosol/cAMP-bind-site-A SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP2_A /kinetics/PKA_cytosol/cAMP-bind-site-A PRODUCT n 
addmsg /kinetics/cAMP_cytosol/cAMP /kinetics/PKA_cytosol/cAMP-bind-site-A SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-B /kinetics/PKA_cytosol/R2C2 REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-B /kinetics/PKA_cytosol/R2C2.cAMP_B REAC B A 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-B[1] /kinetics/PKA_cytosol/R2C2.cAMP_B REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A[1] /kinetics/PKA_cytosol/R2C2.cAMP_B REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A[1] /kinetics/PKA_cytosol/R2C2.cAMP_B.cAMP_A REAC B A 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-B[2] /kinetics/PKA_cytosol/R2C2.cAMP_B.cAMP_A REAC A B 
addmsg /kinetics/PKA_cytosol/R2C2.cAMP_B /kinetics/PKA_cytosol/cAMP-bind-site-B[1] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2C2.cAMP2_B /kinetics/PKA_cytosol/cAMP-bind-site-B[1] PRODUCT n 
addmsg /kinetics/cAMP_cytosol/cAMP /kinetics/PKA_cytosol/cAMP-bind-site-B[1] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2C2.cAMP_B /kinetics/PKA_cytosol/cAMP-bind-site-A[1] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2C2.cAMP_B.cAMP_A /kinetics/PKA_cytosol/cAMP-bind-site-A[1] PRODUCT n 
addmsg /kinetics/cAMP_cytosol/cAMP /kinetics/PKA_cytosol/cAMP-bind-site-A[1] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2C2.cAMP_B.cAMP_A /kinetics/PKA_cytosol/cAMP-bind-site-B[2] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP_A /kinetics/PKA_cytosol/cAMP-bind-site-B[2] PRODUCT n 
addmsg /kinetics/cAMP_cytosol/cAMP /kinetics/PKA_cytosol/cAMP-bind-site-B[2] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2C2.cAMP2_B /kinetics/PKA_cytosol/cAMP-bind-site-A[2] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP_A /kinetics/PKA_cytosol/cAMP-bind-site-A[2] PRODUCT n 
addmsg /kinetics/cAMP_cytosol/cAMP /kinetics/PKA_cytosol/cAMP-bind-site-A[2] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/Release-C1 /kinetics/PKA_cytosol/R2C.cAMP4 REAC B A 
addmsg /kinetics/PKA_cytosol/Release-C2 /kinetics/PKA_cytosol/R2C.cAMP4 REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A[3] /kinetics/PKA_cytosol/R2C.cAMP4 REAC B A 
addmsg /kinetics/PKA_cytosol/R2C.cAMP4 /kinetics/PKA_cytosol/Release-C2 SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2.cAMP4 /kinetics/PKA_cytosol/Release-C2 PRODUCT n 
addmsg /kinetics/PKA_cytosol/activePKA /kinetics/PKA_cytosol/Release-C2 PRODUCT n 
addmsg /kinetics/PKA_cytosol/Release-C2 /kinetics/PKA_cytosol/R2.cAMP4 REAC B A 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A[4] /kinetics/PKA_cytosol/R2.cAMP4 REAC B A 
addmsg /kinetics/PKA_cytosol/Release-C1 /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP2_A REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP2_A REAC B A 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP_A REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-B[2] /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP_A REAC B A 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A[2] /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP_A REAC B A 
addmsg /kinetics/PKA_cytosol/Release-C1[1] /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP_A REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-B[1] /kinetics/PKA_cytosol/R2C2.cAMP2_B REAC B A 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A[2] /kinetics/PKA_cytosol/R2C2.cAMP2_B REAC A B 
addmsg /kinetics/PKA_cytosol/Release-C1[1] /kinetics/PKA_cytosol/R2C.cAMP3 REAC B A 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A[3] /kinetics/PKA_cytosol/R2C.cAMP3 REAC A B 
addmsg /kinetics/PKA_cytosol/Release-C2[1] /kinetics/PKA_cytosol/R2C.cAMP3 REAC A B 
addmsg /kinetics/PKA_cytosol/R2C2.cAMP2_B.cAMP_A /kinetics/PKA_cytosol/Release-C1[1] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2C.cAMP3 /kinetics/PKA_cytosol/Release-C1[1] PRODUCT n 
addmsg /kinetics/PKA_cytosol/activePKA /kinetics/PKA_cytosol/Release-C1[1] PRODUCT n 
addmsg /kinetics/PKA_cytosol/R2C.cAMP3 /kinetics/PKA_cytosol/cAMP-bind-site-A[3] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2C.cAMP4 /kinetics/PKA_cytosol/cAMP-bind-site-A[3] PRODUCT n 
addmsg /kinetics/cAMP_cytosol/cAMP /kinetics/PKA_cytosol/cAMP-bind-site-A[3] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/Release-C2[1] /kinetics/PKA_cytosol/R2.cAMP3 REAC B A 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A[4] /kinetics/PKA_cytosol/R2.cAMP3 REAC A B 
addmsg /kinetics/PKA_cytosol/R2C.cAMP3 /kinetics/PKA_cytosol/Release-C2[1] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2.cAMP3 /kinetics/PKA_cytosol/Release-C2[1] PRODUCT n 
addmsg /kinetics/PKA_cytosol/activePKA /kinetics/PKA_cytosol/Release-C2[1] PRODUCT n 
addmsg /kinetics/PKA_cytosol/R2.cAMP3 /kinetics/PKA_cytosol/cAMP-bind-site-A[4] SUBSTRATE n 
addmsg /kinetics/PKA_cytosol/R2.cAMP4 /kinetics/PKA_cytosol/cAMP-bind-site-A[4] PRODUCT n 
addmsg /kinetics/cAMP_cytosol/cAMP /kinetics/PKA_cytosol/cAMP-bind-site-A[4] SUBSTRATE n 
addmsg /kinetics/VGCC_Ca_cytosol /kinetics/VGCCflux_cytosol REAC A B 
addmsg /kinetics/VGCCflux_cytosol /kinetics/VGCC_Ca_cytosol SUBSTRATE n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/VGCC_Ca_cytosol PRODUCT n 
addmsg /kinetics/CaM_cytosol/CaM-bind-Ca /kinetics/Ca_cytosol/Ca REAC A B 
addmsg /kinetics/CaM_cytosol/CaMCa-bind-Ca /kinetics/Ca_cytosol/Ca REAC A B 
addmsg /kinetics/CaM_cytosol/CaMCa2-bind-Ca /kinetics/Ca_cytosol/Ca REAC A B 
addmsg /kinetics/CaMKII_cytosol/kTP_kPT_23 /kinetics/Ca_cytosol/Ca REAC A B 
addmsg /kinetics/CaMKII_cytosol/kTP_kPT_12 /kinetics/Ca_cytosol/Ca REAC A B 
addmsg /kinetics/CaMKII_cytosol/kTP_kPT_01 /kinetics/Ca_cytosol/Ca REAC A B 
addmsg /kinetics/VGCC_Ca_cytosol /kinetics/Ca_cytosol/Ca REAC B A 
addmsg /kinetics/CaMKII_cytosol/CaM-bind-Ca /kinetics/Ca_cytosol/Ca REAC A B 
addmsg /kinetics/CaMKII_cytosol/CaMCa-bind-Ca /kinetics/Ca_cytosol/Ca REAC A B 
addmsg /kinetics/CaMKII_cytosol/CaMCa2-bind-Ca /kinetics/Ca_cytosol/Ca REAC A B 
addmsg /kinetics/CaN_cytosol/CaN-Ca1 /kinetics/Ca_cytosol/Ca REAC A B 
addmsg /kinetics/CaN_cytosol/CaN-Ca1[1] /kinetics/Ca_cytosol/Ca REAC A B 
addmsg /kinetics/CaN_cytosol/CaN-Ca1[2] /kinetics/Ca_cytosol/Ca REAC A B 
addmsg /kinetics/CaN_cytosol/CaN-Ca1[3] /kinetics/Ca_cytosol/Ca REAC A B 
addmsg /kinetics/AC_cytosol/CaM-AC /kinetics/AC_cytosol/AC1 REAC A B 
addmsg /kinetics/AC_cytosol/AC1 /kinetics/AC_cytosol/CaM-AC SUBSTRATE n 
addmsg /kinetics/AC_cytosol/CaM-AC1 /kinetics/AC_cytosol/CaM-AC PRODUCT n 
addmsg /kinetics/CaM_cytosol/CaMCa3 /kinetics/AC_cytosol/CaM-AC SUBSTRATE n 
addmsg /kinetics/AC_cytosol/CaM-AC /kinetics/AC_cytosol/CaM-AC1 REAC B A 
addmsg /kinetics/AC_cytosol/CaM-AC1 /kinetics/AC_cytosol/CaM-AC1/cyclase ENZYME n 
addmsg /kinetics/cAMP_cytosol/ATP /kinetics/AC_cytosol/CaM-AC1/cyclase SUBSTRATE n 
addmsg /kinetics/AC_cytosol/CaM-AC1/cyclase /kinetics/cAMP_cytosol/ATP REAC sA B 
addmsg /kinetics/cAMP_cytosol/leak /kinetics/cAMP_cytosol/ATP REAC A B 
addmsg /kinetics/cAMP_cytosol/ATP /kinetics/cAMP_cytosol/leak SUBSTRATE n 
addmsg /kinetics/cAMP_cytosol/cAMP /kinetics/cAMP_cytosol/leak PRODUCT n 
addmsg /kinetics/AC_cytosol/CaM-AC1/cyclase /kinetics/cAMP_cytosol/cAMP MM_PRD pA 
addmsg /kinetics/cAMP_cytosol/leak /kinetics/cAMP_cytosol/cAMP REAC B A 
addmsg /kinetics/cAMP_cytosol/cAMP-PDE/PDE /kinetics/cAMP_cytosol/cAMP REAC sA B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-B /kinetics/cAMP_cytosol/cAMP REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-B[1] /kinetics/cAMP_cytosol/cAMP REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A[1] /kinetics/cAMP_cytosol/cAMP REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A[2] /kinetics/cAMP_cytosol/cAMP REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-B[2] /kinetics/cAMP_cytosol/cAMP REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A /kinetics/cAMP_cytosol/cAMP REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A[3] /kinetics/cAMP_cytosol/cAMP REAC A B 
addmsg /kinetics/PKA_cytosol/cAMP-bind-site-A[4] /kinetics/cAMP_cytosol/cAMP REAC A B 
addmsg /kinetics/cAMP_cytosol/cAMP-PDE/PDE /kinetics/cAMP_cytosol/AMP MM_PRD pA 
addmsg /kinetics/cAMP_cytosol/cAMP-PDE/PDE /kinetics/cAMP_cytosol/cAMP-PDE REAC eA B 
addmsg /kinetics/cAMP_cytosol/cAMP-PDE /kinetics/cAMP_cytosol/cAMP-PDE/PDE ENZYME n 
addmsg /kinetics/cAMP_cytosol/cAMP /kinetics/cAMP_cytosol/cAMP-PDE/PDE SUBSTRATE n 
addmsg /kinetics/PP1_cytosol/I1-PP1 /kinetics/I1_cytosol/I1_active REAC A B 
addmsg /kinetics/PKA_cytosol/activePKA/PKA_active /kinetics/I1_cytosol/I1_active MM_PRD pA 
addmsg /kinetics/CaN_cytosol/activeCaN/CaN /kinetics/I1_cytosol/I1_active REAC sA B 
addmsg /kinetics/PP2A_cytosol/activePP2A/PP2A /kinetics/I1_cytosol/I1_active REAC sA B 
addmsg /kinetics/PKA_cytosol/activePKA/PKA_active /kinetics/I1_cytosol/I1_inactive REAC sA B 
addmsg /kinetics/CaN_cytosol/activeCaN/CaN /kinetics/I1_cytosol/I1_inactive MM_PRD pA 
addmsg /kinetics/PP2A_cytosol/activePP2A/PP2A /kinetics/I1_cytosol/I1_inactive MM_PRD pA 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_4 /kinetics/PP1_cytosol/PP1_active REAC eA B 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_3 /kinetics/PP1_cytosol/PP1_active REAC eA B 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_2 /kinetics/PP1_cytosol/PP1_active REAC eA B 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_1 /kinetics/PP1_cytosol/PP1_active REAC eA B 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_0 /kinetics/PP1_cytosol/PP1_active REAC eA B 
addmsg /kinetics/PP1_cytosol/I1-PP1 /kinetics/PP1_cytosol/PP1_active REAC A B 
addmsg /kinetics/PP1_cytosol/PP1_active /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_3 ENZYME n 
addmsg /kinetics/CaMKII_cytosol/WP /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_3 SUBSTRATE n 
addmsg /kinetics/PP1_cytosol/PP1_active /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_2 ENZYME n 
addmsg /kinetics/CaMKII_cytosol/WT2 /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_2 SUBSTRATE n 
addmsg /kinetics/PP1_cytosol/PP1_active /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_1 ENZYME n 
addmsg /kinetics/CaMKII_cytosol/WT1 /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_1 SUBSTRATE n 
addmsg /kinetics/PP1_cytosol/PP1_active /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_0 ENZYME n 
addmsg /kinetics/CaMKII_cytosol/WT0 /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_0 SUBSTRATE n 
addmsg /kinetics/PP1_cytosol/PP1_active /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_4 ENZYME n 
addmsg /kinetics/CaMKII_cytosol/WA /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_4 SUBSTRATE n 
addmsg /kinetics/PP1_cytosol/I1-PP1 /kinetics/PP1_cytosol/PP1*_I1*_complex(inact) REAC B A 
addmsg /kinetics/I1_cytosol/I1_active /kinetics/PP1_cytosol/I1-PP1 SUBSTRATE n 
addmsg /kinetics/PP1_cytosol/PP1*_I1*_complex(inact) /kinetics/PP1_cytosol/I1-PP1 PRODUCT n 
addmsg /kinetics/PP1_cytosol/PP1_active /kinetics/PP1_cytosol/I1-PP1 SUBSTRATE n 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_4 /kinetics/CaMKIIinact_cytosol/WI MM_PRD pA 
addmsg /kinetics/CaMKII_cytosol/kIB_kBI_3 /kinetics/CaMKIIinact_cytosol/WI REAC A B 
addmsg /kinetics/CaMKII_cytosol/kIB_kBI_2 /kinetics/CaMKIIinact_cytosol/WI REAC A B 
addmsg /kinetics/CaMKII_cytosol/kIB_kBI_1 /kinetics/CaMKIIinact_cytosol/WI REAC A B 
addmsg /kinetics/CaMKII_cytosol/kIB_kBI_0 /kinetics/CaMKIIinact_cytosol/WI REAC A B 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_4 /kinetics/CaMKIIinact_cytosol/WI MM_PRD pA 
addmsg /kinetics/CaMKII_cytosol/WA /kinetics/CaMKII_cytosol/kAT_kTA SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WT0 /kinetics/CaMKII_cytosol/kAT_kTA PRODUCT n 
addmsg /kinetics/CaM_cytosol/CaM /kinetics/CaMKII_cytosol/kAT_kTA SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/kAT_kTA /kinetics/CaMKII_cytosol/WA REAC A B 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_4 /kinetics/CaMKII_cytosol/WA REAC sA B 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_4 /kinetics/CaMKII_cytosol/WA REAC sA B 
addmsg /kinetics/CaMKII_cytosol/kTP_kPT_23 /kinetics/CaMKII_cytosol/WT2 REAC A B 
addmsg /kinetics/CaMKII_cytosol/kTP_kPT_12 /kinetics/CaMKII_cytosol/WT2 REAC B A 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_2 /kinetics/CaMKII_cytosol/WT2 REAC sA B 
addmsg /kinetics/CaMKII_cytosol/VA2 /kinetics/CaMKII_cytosol/WT2 REAC B A 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_2 /kinetics/CaMKII_cytosol/WT2 REAC sA B 
addmsg /kinetics/CaMKII_cytosol/kTP_kPT_12 /kinetics/CaMKII_cytosol/WT1 REAC A B 
addmsg /kinetics/CaMKII_cytosol/kTP_kPT_01 /kinetics/CaMKII_cytosol/WT1 REAC B A 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_1 /kinetics/CaMKII_cytosol/WT1 REAC sA B 
addmsg /kinetics/CaMKII_cytosol/VA1 /kinetics/CaMKII_cytosol/WT1 REAC B A 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_1 /kinetics/CaMKII_cytosol/WT1 REAC sA B 
addmsg /kinetics/CaMKII_cytosol/VA0 /kinetics/CaMKII_cytosol/WT1 REAC B A 
addmsg /kinetics/CaMKII_cytosol/WP /kinetics/CaMKII_cytosol/kTP_kPT_23 PRODUCT n 
addmsg /kinetics/CaMKII_cytosol/WT2 /kinetics/CaMKII_cytosol/kTP_kPT_23 SUBSTRATE n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/CaMKII_cytosol/kTP_kPT_23 SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WT1 /kinetics/CaMKII_cytosol/kTP_kPT_12 SUBSTRATE n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/CaMKII_cytosol/kTP_kPT_12 SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WT2 /kinetics/CaMKII_cytosol/kTP_kPT_12 PRODUCT n 
addmsg /kinetics/CaMKII_cytosol/WT1 /kinetics/CaMKII_cytosol/kTP_kPT_01 PRODUCT n 
addmsg /kinetics/CaMKII_cytosol/WT0 /kinetics/CaMKII_cytosol/kTP_kPT_01 SUBSTRATE n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/CaMKII_cytosol/kTP_kPT_01 SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/kTP_kPT_01 /kinetics/CaMKII_cytosol/WT0 REAC A B 
addmsg /kinetics/CaMKII_cytosol/kAT_kTA /kinetics/CaMKII_cytosol/WT0 REAC B A 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_0 /kinetics/CaMKII_cytosol/WT0 REAC sA B 
addmsg /kinetics/CaMKII_cytosol/VA0 /kinetics/CaMKII_cytosol/WT0 REAC B A 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_0 /kinetics/CaMKII_cytosol/WT0 REAC sA B 
addmsg /kinetics/CaMKII_cytosol/WT0 /kinetics/CaMKII_cytosol/WT SUMTOTAL n nInit 
addmsg /kinetics/CaMKII_cytosol/WT1 /kinetics/CaMKII_cytosol/WT SUMTOTAL n nInit 
addmsg /kinetics/CaMKII_cytosol/WT2 /kinetics/CaMKII_cytosol/WT SUMTOTAL n nInit 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_3 /kinetics/CaMKII_cytosol/WB3 MM_PRD pA 
addmsg /kinetics/CaMKII_cytosol/kIB_kBI_3 /kinetics/CaMKII_cytosol/WB3 REAC B A 
addmsg /kinetics/CaMKII_cytosol/VA3 /kinetics/CaMKII_cytosol/WB3 REAC A B 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_3 /kinetics/CaMKII_cytosol/WB3 MM_PRD pA 
addmsg /kinetics/CaMKII_cytosol/CaMCa2-bind-Ca /kinetics/CaMKII_cytosol/WB3 REAC B A 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_2 /kinetics/CaMKII_cytosol/WB2 MM_PRD pA 
addmsg /kinetics/CaMKII_cytosol/kIB_kBI_2 /kinetics/CaMKII_cytosol/WB2 REAC B A 
addmsg /kinetics/CaMKII_cytosol/VA2 /kinetics/CaMKII_cytosol/WB2 REAC A B 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_2 /kinetics/CaMKII_cytosol/WB2 MM_PRD pA 
addmsg /kinetics/CaMKII_cytosol/CaMCa-bind-Ca /kinetics/CaMKII_cytosol/WB2 REAC B A 
addmsg /kinetics/CaMKII_cytosol/CaMCa2-bind-Ca /kinetics/CaMKII_cytosol/WB2 REAC A B 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_1 /kinetics/CaMKII_cytosol/WB1 MM_PRD pA 
addmsg /kinetics/CaMKII_cytosol/kIB_kBI_1 /kinetics/CaMKII_cytosol/WB1 REAC B A 
addmsg /kinetics/CaMKII_cytosol/VA1 /kinetics/CaMKII_cytosol/WB1 REAC A B 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_1 /kinetics/CaMKII_cytosol/WB1 MM_PRD pA 
addmsg /kinetics/CaMKII_cytosol/CaM-bind-Ca /kinetics/CaMKII_cytosol/WB1 REAC B A 
addmsg /kinetics/CaMKII_cytosol/CaMCa-bind-Ca /kinetics/CaMKII_cytosol/WB1 REAC A B 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_0 /kinetics/CaMKII_cytosol/WB0 MM_PRD pA 
addmsg /kinetics/CaMKII_cytosol/kIB_kBI_0 /kinetics/CaMKII_cytosol/WB0 REAC B A 
addmsg /kinetics/CaMKII_cytosol/VA0 /kinetics/CaMKII_cytosol/WB0 REAC A B 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_0 /kinetics/CaMKII_cytosol/WB0 MM_PRD pA 
addmsg /kinetics/CaMKII_cytosol/CaM-bind-Ca /kinetics/CaMKII_cytosol/WB0 REAC A B 
addmsg /kinetics/CaMKII_cytosol/WB0 /kinetics/CaMKII_cytosol/WB SUMTOTAL n nInit 
addmsg /kinetics/CaMKII_cytosol/WB1 /kinetics/CaMKII_cytosol/WB SUMTOTAL n nInit 
addmsg /kinetics/CaMKII_cytosol/WB2 /kinetics/CaMKII_cytosol/WB SUMTOTAL n nInit 
addmsg /kinetics/CaMKII_cytosol/WB3 /kinetics/CaMKII_cytosol/WB SUMTOTAL n nInit 
addmsg /kinetics/CaMKIIinact_cytosol/WI /kinetics/CaMKII_cytosol/kIB_kBI_3 SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WB3 /kinetics/CaMKII_cytosol/kIB_kBI_3 PRODUCT n 
addmsg /kinetics/CaM_cytosol/CaMCa3 /kinetics/CaMKII_cytosol/kIB_kBI_3 SUBSTRATE n 
addmsg /kinetics/CaMKIIinact_cytosol/WI /kinetics/CaMKII_cytosol/kIB_kBI_2 SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WB2 /kinetics/CaMKII_cytosol/kIB_kBI_2 PRODUCT n 
addmsg /kinetics/CaM_cytosol/CaMCa2 /kinetics/CaMKII_cytosol/kIB_kBI_2 SUBSTRATE n 
addmsg /kinetics/CaMKIIinact_cytosol/WI /kinetics/CaMKII_cytosol/kIB_kBI_1 SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WB1 /kinetics/CaMKII_cytosol/kIB_kBI_1 PRODUCT n 
addmsg /kinetics/CaM_cytosol/CaMCa /kinetics/CaMKII_cytosol/kIB_kBI_1 SUBSTRATE n 
addmsg /kinetics/CaMKIIinact_cytosol/WI /kinetics/CaMKII_cytosol/kIB_kBI_0 SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WB0 /kinetics/CaMKII_cytosol/kIB_kBI_0 PRODUCT n 
addmsg /kinetics/CaM_cytosol/CaM /kinetics/CaMKII_cytosol/kIB_kBI_0 SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WB3 /kinetics/CaMKII_cytosol/VA3 SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WP /kinetics/CaMKII_cytosol/VA3 PRODUCT n 
addmsg /kinetics/CaMKII_cytosol/WB2 /kinetics/CaMKII_cytosol/VA2 SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WT2 /kinetics/CaMKII_cytosol/VA2 PRODUCT n 
addmsg /kinetics/CaMKII_cytosol/WB1 /kinetics/CaMKII_cytosol/VA1 SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WT1 /kinetics/CaMKII_cytosol/VA1 PRODUCT n 
addmsg /kinetics/CaMKII_cytosol/WB0 /kinetics/CaMKII_cytosol/VA0 SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WT0 /kinetics/CaMKII_cytosol/VA0 PRODUCT n 
addmsg /kinetics/CaMKII_cytosol/WT1 /kinetics/CaMKII_cytosol/VA0 PRODUCT n 
addmsg /kinetics/CaMKII_cytosol/kTP_kPT_23 /kinetics/CaMKII_cytosol/WP REAC B A 
addmsg /kinetics/PP1_cytosol/PP1_active/Thr286_PP1_3 /kinetics/CaMKII_cytosol/WP REAC sA B 
addmsg /kinetics/CaMKII_cytosol/VA3 /kinetics/CaMKII_cytosol/WP REAC B A 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_3 /kinetics/CaMKII_cytosol/WP REAC sA B 
addmsg /kinetics/CaMKII_cytosol/WB0 /kinetics/CaMKII_cytosol/CaM-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WB1 /kinetics/CaMKII_cytosol/CaM-bind-Ca PRODUCT n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/CaMKII_cytosol/CaM-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WB1 /kinetics/CaMKII_cytosol/CaMCa-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WB2 /kinetics/CaMKII_cytosol/CaMCa-bind-Ca PRODUCT n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/CaMKII_cytosol/CaMCa-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WB2 /kinetics/CaMKII_cytosol/CaMCa2-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaMKII_cytosol/WB3 /kinetics/CaMKII_cytosol/CaMCa2-bind-Ca PRODUCT n 
addmsg /kinetics/Ca_cytosol/Ca /kinetics/CaMKII_cytosol/CaMCa2-bind-Ca SUBSTRATE n 
addmsg /kinetics/PP2A_cytosol/activePP2A/PP2A /kinetics/PP2A_cytosol/activePP2A REAC eA B 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_1 /kinetics/PP2A_cytosol/activePP2A REAC eA B 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_2 /kinetics/PP2A_cytosol/activePP2A REAC eA B 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_3 /kinetics/PP2A_cytosol/activePP2A REAC eA B 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_4 /kinetics/PP2A_cytosol/activePP2A REAC eA B 
addmsg /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_0 /kinetics/PP2A_cytosol/activePP2A REAC eA B 
addmsg /kinetics/PP2A_cytosol/activePP2A /kinetics/PP2A_cytosol/activePP2A/PP2A ENZYME n 
addmsg /kinetics/I1_cytosol/I1_active /kinetics/PP2A_cytosol/activePP2A/PP2A SUBSTRATE n 
addmsg /kinetics/PP2A_cytosol/activePP2A /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_1 ENZYME n 
addmsg /kinetics/CaMKII_cytosol/WT1 /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_1 SUBSTRATE n 
addmsg /kinetics/PP2A_cytosol/activePP2A /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_2 ENZYME n 
addmsg /kinetics/CaMKII_cytosol/WT2 /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_2 SUBSTRATE n 
addmsg /kinetics/PP2A_cytosol/activePP2A /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_3 ENZYME n 
addmsg /kinetics/CaMKII_cytosol/WP /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_3 SUBSTRATE n 
addmsg /kinetics/PP2A_cytosol/activePP2A /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_4 ENZYME n 
addmsg /kinetics/CaMKII_cytosol/WA /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_4 SUBSTRATE n 
addmsg /kinetics/PP2A_cytosol/activePP2A /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_0 ENZYME n 
addmsg /kinetics/CaMKII_cytosol/WT0 /kinetics/PP2A_cytosol/activePP2A/Thr286_PP2A_0 SUBSTRATE n 
addmsg /kinetics/AMPAR_cytosol/IN_OUT /kinetics/AMPAR_cytosol/S845P_int REAC B A 
addmsg /kinetics/AMPAR_cytosol/S845P /kinetics/AMPAR_cytosol/IN_OUT SUBSTRATE n 
addmsg /kinetics/AMPAR_cytosol/S845P_int /kinetics/AMPAR_cytosol/IN_OUT PRODUCT n 
addmsg /kinetics/AMPAR_cytosol/Nophos_int /kinetics/AMPAR_cytosol/IN PRODUCT n 
addmsg /kinetics/AMPAR_cytosol/Nophos /kinetics/AMPAR_cytosol/IN SUBSTRATE n 
addmsg /kinetics/AMPAR_cytosol/IN /kinetics/AMPAR_cytosol/Nophos_int REAC B A 
addmsg /kinetics/AMPAR_cytosol/S845P /kinetics/AMPAR_cytosol/Memb_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_cytosol/Nophos /kinetics/AMPAR_cytosol/Memb_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_cytosol/StgP /kinetics/AMPAR_cytosol/Memb_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_cytosol/S845PStgP /kinetics/AMPAR_cytosol/Memb_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_cytosol/S845P_int /kinetics/AMPAR_cytosol/Internal_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_cytosol/Nophos_int /kinetics/AMPAR_cytosol/Internal_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_cytosol/StgP_int /kinetics/AMPAR_cytosol/Internal_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_cytosol/S845PStgP_int /kinetics/AMPAR_cytosol/Internal_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_cytosol/IN_OUT /kinetics/AMPAR_cytosol/S845P REAC A B 
addmsg /kinetics/AMPAR_cytosol/IN /kinetics/AMPAR_cytosol/Nophos REAC A B 
addmsg /kinetics/AMPAR_cytosol/IN[1] /kinetics/AMPAR_cytosol/StgP REAC A B 
addmsg /kinetics/AMPAR_cytosol/IN_OUT[1] /kinetics/AMPAR_cytosol/S845PStgP REAC A B 
addmsg /kinetics/AMPAR_cytosol/IN[1] /kinetics/AMPAR_cytosol/StgP_int REAC B A 
addmsg /kinetics/AMPAR_cytosol/IN_OUT[1] /kinetics/AMPAR_cytosol/S845PStgP_int REAC B A 
addmsg /kinetics/AMPAR_cytosol/S845PStgP /kinetics/AMPAR_cytosol/IN_OUT[1] SUBSTRATE n 
addmsg /kinetics/AMPAR_cytosol/S845PStgP_int /kinetics/AMPAR_cytosol/IN_OUT[1] PRODUCT n 
addmsg /kinetics/AMPAR_cytosol/StgP /kinetics/AMPAR_cytosol/IN[1] SUBSTRATE n 
addmsg /kinetics/AMPAR_cytosol/StgP_int /kinetics/AMPAR_cytosol/IN[1] PRODUCT n 
addmsg /kinetics/PKA_cytosol/activePKA /kinetics/AMPAR_cytosol/activePKAc SUMTOTAL n nInit 
addmsg /kinetics/CaN_cytosol/activeCaN /kinetics/AMPAR_cytosol/activeCaNc SUMTOTAL n nInit 
addmsg /kinetics/PP1_cytosol/PP1_active /kinetics/AMPAR_cytosol/activePP1c SUMTOTAL n nInit 
addmsg /kinetics/PP2A_cytosol/activePP2A /kinetics/AMPAR_cytosol/activePP2Ac SUMTOTAL n nInit 
addmsg /kinetics/CaMKII_cytosol/activeCaMKII /kinetics/AMPAR_cytosol/activeCaMKIIc SUMTOTAL n nInit 
addmsg /kinetics/CaM_PSD/CaM-bind-Ca /kinetics/CaM_PSD/CaM REAC A B 
addmsg /kinetics/CaMKII_PSD/kIB_kBI_0 /kinetics/CaM_PSD/CaM REAC A B 
addmsg /kinetics/CaMKII_PSD/kAT_kTA /kinetics/CaM_PSD/CaM REAC A B 
addmsg /kinetics/CaM_PSD/CaM /kinetics/CaM_PSD/CaM-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaM_PSD/CaMCa /kinetics/CaM_PSD/CaM-bind-Ca PRODUCT n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/CaM_PSD/CaM-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaM_PSD/CaM-bind-Ca /kinetics/CaM_PSD/CaMCa REAC B A 
addmsg /kinetics/CaM_PSD/CaMCa-bind-Ca /kinetics/CaM_PSD/CaMCa REAC A B 
addmsg /kinetics/CaMKII_PSD/kIB_kBI_1 /kinetics/CaM_PSD/CaMCa REAC A B 
addmsg /kinetics/CaM_PSD/CaMCa /kinetics/CaM_PSD/CaMCa-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaM_PSD/CaMCa2 /kinetics/CaM_PSD/CaMCa-bind-Ca PRODUCT n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/CaM_PSD/CaMCa-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaM_PSD/CaMCa-bind-Ca /kinetics/CaM_PSD/CaMCa2 REAC B A 
addmsg /kinetics/CaM_PSD/CaMCa2-bind-Ca /kinetics/CaM_PSD/CaMCa2 REAC A B 
addmsg /kinetics/CaMKII_PSD/kIB_kBI_2 /kinetics/CaM_PSD/CaMCa2 REAC A B 
addmsg /kinetics/CaM_PSD/CaMCa2 /kinetics/CaM_PSD/CaMCa2-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaM_PSD/CaMCa3 /kinetics/CaM_PSD/CaMCa2-bind-Ca PRODUCT n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/CaM_PSD/CaMCa2-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaM_PSD/CaMCa2-bind-Ca /kinetics/CaM_PSD/CaMCa3 REAC B A 
addmsg /kinetics/CaMKII_PSD/kIB_kBI_3 /kinetics/CaM_PSD/CaMCa3 REAC A B 
addmsg /kinetics/AC_PSD/CaM-AC /kinetics/CaM_PSD/CaMCa3 REAC A B 
addmsg /kinetics/CaN_PSD/CaM-CaN[1] /kinetics/CaM_PSD/CaMCa3 REAC A B 
addmsg /kinetics/CaN_PSD/CaM-CaN[2] /kinetics/CaM_PSD/CaMCa3 REAC A B 
addmsg /kinetics/CaN_PSD/CaM-CaN /kinetics/CaM_PSD/CaMCa3 REAC A B 
addmsg /kinetics/CaN_PSD/CaN-Ca1 /kinetics/CaN_PSD/CaN REAC A B 
addmsg /kinetics/CaN_PSD/CaM-CaN[2] /kinetics/CaN_PSD/CaN REAC A B 
addmsg /kinetics/CaN_PSD/activeCaN/CaN /kinetics/CaN_PSD/activeCaN REAC eA B 
addmsg /kinetics/CaN_PSD/CaN-Ca1[3] /kinetics/CaN_PSD/activeCaN REAC B A 
addmsg /kinetics/CaN_PSD/CaM-CaN /kinetics/CaN_PSD/activeCaN REAC B A 
addmsg /kinetics/CaN_PSD/activeCaN /kinetics/CaN_PSD/activeCaN/CaN ENZYME n 
addmsg /kinetics/I1_PSD/I1_active /kinetics/CaN_PSD/activeCaN/CaN SUBSTRATE n 
addmsg /kinetics/CaN_PSD/CaN /kinetics/CaN_PSD/CaN-Ca1 SUBSTRATE n 
addmsg /kinetics/CaN_PSD/CaNCa /kinetics/CaN_PSD/CaN-Ca1 PRODUCT n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/CaN_PSD/CaN-Ca1 SUBSTRATE n 
addmsg /kinetics/CaN_PSD/CaN-Ca1 /kinetics/CaN_PSD/CaNCa REAC B A 
addmsg /kinetics/CaN_PSD/CaM-CaN[1] /kinetics/CaN_PSD/CaNCa REAC A B 
addmsg /kinetics/CaN_PSD/CaN-Ca1[2] /kinetics/CaN_PSD/CaNCa REAC A B 
addmsg /kinetics/CaN_PSD/CaM-CaN[2] /kinetics/CaN_PSD/CaNCaM REAC B A 
addmsg /kinetics/CaN_PSD/CaN-Ca1[1] /kinetics/CaN_PSD/CaNCaM REAC A B 
addmsg /kinetics/CaN_PSD/CaNCa /kinetics/CaN_PSD/CaM-CaN[1] SUBSTRATE n 
addmsg /kinetics/CaM_PSD/CaMCa3 /kinetics/CaN_PSD/CaM-CaN[1] SUBSTRATE n 
addmsg /kinetics/CaN_PSD/CaNCaCaM /kinetics/CaN_PSD/CaM-CaN[1] PRODUCT n 
addmsg /kinetics/CaN_PSD/CaN /kinetics/CaN_PSD/CaM-CaN[2] SUBSTRATE n 
addmsg /kinetics/CaN_PSD/CaNCaM /kinetics/CaN_PSD/CaM-CaN[2] PRODUCT n 
addmsg /kinetics/CaM_PSD/CaMCa3 /kinetics/CaN_PSD/CaM-CaN[2] SUBSTRATE n 
addmsg /kinetics/CaN_PSD/CaNCaM /kinetics/CaN_PSD/CaN-Ca1[1] SUBSTRATE n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/CaN_PSD/CaN-Ca1[1] SUBSTRATE n 
addmsg /kinetics/CaN_PSD/CaNCaCaM /kinetics/CaN_PSD/CaN-Ca1[1] PRODUCT n 
addmsg /kinetics/CaN_PSD/CaN-Ca1[2] /kinetics/CaN_PSD/CaNCa2 REAC B A 
addmsg /kinetics/CaN_PSD/CaM-CaN /kinetics/CaN_PSD/CaNCa2 REAC A B 
addmsg /kinetics/CaN_PSD/CaM-CaN[1] /kinetics/CaN_PSD/CaNCaCaM REAC B A 
addmsg /kinetics/CaN_PSD/CaN-Ca1[1] /kinetics/CaN_PSD/CaNCaCaM REAC B A 
addmsg /kinetics/CaN_PSD/CaN-Ca1[3] /kinetics/CaN_PSD/CaNCaCaM REAC A B 
addmsg /kinetics/CaN_PSD/CaNCa /kinetics/CaN_PSD/CaN-Ca1[2] SUBSTRATE n 
addmsg /kinetics/CaN_PSD/CaNCa2 /kinetics/CaN_PSD/CaN-Ca1[2] PRODUCT n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/CaN_PSD/CaN-Ca1[2] SUBSTRATE n 
addmsg /kinetics/CaN_PSD/CaNCaCaM /kinetics/CaN_PSD/CaN-Ca1[3] SUBSTRATE n 
addmsg /kinetics/CaN_PSD/activeCaN /kinetics/CaN_PSD/CaN-Ca1[3] PRODUCT n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/CaN_PSD/CaN-Ca1[3] SUBSTRATE n 
addmsg /kinetics/CaN_PSD/CaNCa2 /kinetics/CaN_PSD/CaM-CaN SUBSTRATE n 
addmsg /kinetics/CaN_PSD/activeCaN /kinetics/CaN_PSD/CaM-CaN PRODUCT n 
addmsg /kinetics/CaM_PSD/CaMCa3 /kinetics/CaN_PSD/CaM-CaN SUBSTRATE n 
addmsg /kinetics/PKA_PSD/activePKA/PKA_active /kinetics/PKA_PSD/activePKA REAC eA B 
addmsg /kinetics/PKA_PSD/Release-C1 /kinetics/PKA_PSD/activePKA REAC B A 
addmsg /kinetics/PKA_PSD/Release-C2 /kinetics/PKA_PSD/activePKA REAC B A 
addmsg /kinetics/PKA_PSD/Release-C1[1] /kinetics/PKA_PSD/activePKA REAC B A 
addmsg /kinetics/PKA_PSD/Release-C2[1] /kinetics/PKA_PSD/activePKA REAC B A 
addmsg /kinetics/PKA_PSD/activePKA /kinetics/PKA_PSD/activePKA/PKA_active ENZYME n 
addmsg /kinetics/I1_PSD/I1_inactive /kinetics/PKA_PSD/activePKA/PKA_active SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C.cAMP4 /kinetics/PKA_PSD/Release-C1 PRODUCT n 
addmsg /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP2_A /kinetics/PKA_PSD/Release-C1 SUBSTRATE n 
addmsg /kinetics/PKA_PSD/activePKA /kinetics/PKA_PSD/Release-C1 PRODUCT n 
addmsg /kinetics/PKA_PSD/R2C2 /kinetics/PKA_PSD/cAMP-bind-site-B SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C2.cAMP_B /kinetics/PKA_PSD/cAMP-bind-site-B PRODUCT n 
addmsg /kinetics/cAMP_PSD/cAMP /kinetics/PKA_PSD/cAMP-bind-site-B SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP_A /kinetics/PKA_PSD/cAMP-bind-site-A SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP2_A /kinetics/PKA_PSD/cAMP-bind-site-A PRODUCT n 
addmsg /kinetics/cAMP_PSD/cAMP /kinetics/PKA_PSD/cAMP-bind-site-A SUBSTRATE n 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-B /kinetics/PKA_PSD/R2C2 REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-B /kinetics/PKA_PSD/R2C2.cAMP_B REAC B A 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-B[1] /kinetics/PKA_PSD/R2C2.cAMP_B REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A[1] /kinetics/PKA_PSD/R2C2.cAMP_B REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A[1] /kinetics/PKA_PSD/R2C2.cAMP_B.cAMP_A REAC B A 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-B[2] /kinetics/PKA_PSD/R2C2.cAMP_B.cAMP_A REAC A B 
addmsg /kinetics/PKA_PSD/R2C2.cAMP_B /kinetics/PKA_PSD/cAMP-bind-site-B[1] SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C2.cAMP2_B /kinetics/PKA_PSD/cAMP-bind-site-B[1] PRODUCT n 
addmsg /kinetics/cAMP_PSD/cAMP /kinetics/PKA_PSD/cAMP-bind-site-B[1] SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C2.cAMP_B /kinetics/PKA_PSD/cAMP-bind-site-A[1] SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C2.cAMP_B.cAMP_A /kinetics/PKA_PSD/cAMP-bind-site-A[1] PRODUCT n 
addmsg /kinetics/cAMP_PSD/cAMP /kinetics/PKA_PSD/cAMP-bind-site-A[1] SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C2.cAMP_B.cAMP_A /kinetics/PKA_PSD/cAMP-bind-site-B[2] SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP_A /kinetics/PKA_PSD/cAMP-bind-site-B[2] PRODUCT n 
addmsg /kinetics/cAMP_PSD/cAMP /kinetics/PKA_PSD/cAMP-bind-site-B[2] SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C2.cAMP2_B /kinetics/PKA_PSD/cAMP-bind-site-A[2] SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP_A /kinetics/PKA_PSD/cAMP-bind-site-A[2] PRODUCT n 
addmsg /kinetics/cAMP_PSD/cAMP /kinetics/PKA_PSD/cAMP-bind-site-A[2] SUBSTRATE n 
addmsg /kinetics/PKA_PSD/Release-C1 /kinetics/PKA_PSD/R2C.cAMP4 REAC B A 
addmsg /kinetics/PKA_PSD/Release-C2 /kinetics/PKA_PSD/R2C.cAMP4 REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A[3] /kinetics/PKA_PSD/R2C.cAMP4 REAC B A 
addmsg /kinetics/PKA_PSD/R2C.cAMP4 /kinetics/PKA_PSD/Release-C2 SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2.cAMP4 /kinetics/PKA_PSD/Release-C2 PRODUCT n 
addmsg /kinetics/PKA_PSD/activePKA /kinetics/PKA_PSD/Release-C2 PRODUCT n 
addmsg /kinetics/PKA_PSD/Release-C2 /kinetics/PKA_PSD/R2.cAMP4 REAC B A 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A[4] /kinetics/PKA_PSD/R2.cAMP4 REAC B A 
addmsg /kinetics/PKA_PSD/Release-C1 /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP2_A REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP2_A REAC B A 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP_A REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-B[2] /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP_A REAC B A 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A[2] /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP_A REAC B A 
addmsg /kinetics/PKA_PSD/Release-C1[1] /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP_A REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-B[1] /kinetics/PKA_PSD/R2C2.cAMP2_B REAC B A 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A[2] /kinetics/PKA_PSD/R2C2.cAMP2_B REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A[3] /kinetics/PKA_PSD/R2C.cAMP3 REAC A B 
addmsg /kinetics/PKA_PSD/Release-C1[1] /kinetics/PKA_PSD/R2C.cAMP3 REAC B A 
addmsg /kinetics/PKA_PSD/Release-C2[1] /kinetics/PKA_PSD/R2C.cAMP3 REAC A B 
addmsg /kinetics/PKA_PSD/R2C.cAMP3 /kinetics/PKA_PSD/cAMP-bind-site-A[3] SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C.cAMP4 /kinetics/PKA_PSD/cAMP-bind-site-A[3] PRODUCT n 
addmsg /kinetics/cAMP_PSD/cAMP /kinetics/PKA_PSD/cAMP-bind-site-A[3] SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C2.cAMP2_B.cAMP_A /kinetics/PKA_PSD/Release-C1[1] SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2C.cAMP3 /kinetics/PKA_PSD/Release-C1[1] PRODUCT n 
addmsg /kinetics/PKA_PSD/activePKA /kinetics/PKA_PSD/Release-C1[1] PRODUCT n 
addmsg /kinetics/PKA_PSD/Release-C2[1] /kinetics/PKA_PSD/R2.cAMP3 REAC B A 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A[4] /kinetics/PKA_PSD/R2.cAMP3 REAC A B 
addmsg /kinetics/PKA_PSD/R2C.cAMP3 /kinetics/PKA_PSD/Release-C2[1] SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2.cAMP3 /kinetics/PKA_PSD/Release-C2[1] PRODUCT n 
addmsg /kinetics/PKA_PSD/activePKA /kinetics/PKA_PSD/Release-C2[1] PRODUCT n 
addmsg /kinetics/PKA_PSD/R2.cAMP3 /kinetics/PKA_PSD/cAMP-bind-site-A[4] SUBSTRATE n 
addmsg /kinetics/PKA_PSD/R2.cAMP4 /kinetics/PKA_PSD/cAMP-bind-site-A[4] PRODUCT n 
addmsg /kinetics/cAMP_PSD/cAMP /kinetics/PKA_PSD/cAMP-bind-site-A[4] SUBSTRATE n 
addmsg /kinetics/NMDAR_Ca /kinetics/NMDARflux REAC A B 
addmsg /kinetics/NMDARflux /kinetics/NMDAR_Ca SUBSTRATE n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/NMDAR_Ca PRODUCT n 
addmsg /kinetics/VGCCflux_PSD /kinetics/VGCC_Ca_PSD SUBSTRATE n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/VGCC_Ca_PSD PRODUCT n 
addmsg /kinetics/VGCC_Ca_PSD /kinetics/VGCCflux_PSD REAC A B 
addmsg /kinetics/CaM_PSD/CaM-bind-Ca /kinetics/Ca_PSD/Ca REAC A B 
addmsg /kinetics/CaM_PSD/CaMCa-bind-Ca /kinetics/Ca_PSD/Ca REAC A B 
addmsg /kinetics/CaM_PSD/CaMCa2-bind-Ca /kinetics/Ca_PSD/Ca REAC A B 
addmsg /kinetics/CaMKII_PSD/kTP_kPT_23 /kinetics/Ca_PSD/Ca REAC A B 
addmsg /kinetics/CaMKII_PSD/kTP_kPT_12 /kinetics/Ca_PSD/Ca REAC A B 
addmsg /kinetics/CaMKII_PSD/kTP_kPT_01 /kinetics/Ca_PSD/Ca REAC A B 
addmsg /kinetics/NMDAR_Ca /kinetics/Ca_PSD/Ca REAC B A 
addmsg /kinetics/VGCC_Ca_PSD /kinetics/Ca_PSD/Ca REAC B A 
addmsg /kinetics/CaMKII_PSD/CaM-bind-Ca /kinetics/Ca_PSD/Ca REAC A B 
addmsg /kinetics/CaMKII_PSD/CaMCa-bind-Ca /kinetics/Ca_PSD/Ca REAC A B 
addmsg /kinetics/CaMKII_PSD/CaMCa2-bind-Ca /kinetics/Ca_PSD/Ca REAC A B 
addmsg /kinetics/CaN_PSD/CaN-Ca1 /kinetics/Ca_PSD/Ca REAC A B 
addmsg /kinetics/CaN_PSD/CaN-Ca1[1] /kinetics/Ca_PSD/Ca REAC A B 
addmsg /kinetics/CaN_PSD/CaN-Ca1[2] /kinetics/Ca_PSD/Ca REAC A B 
addmsg /kinetics/CaN_PSD/CaN-Ca1[3] /kinetics/Ca_PSD/Ca REAC A B 
addmsg /kinetics/AC_PSD/CaM-AC /kinetics/AC_PSD/AC1 REAC A B 
addmsg /kinetics/AC_PSD/CaM-AC /kinetics/AC_PSD/CaM-AC1 REAC B A 
addmsg /kinetics/AC_PSD/CaM-AC1 /kinetics/AC_PSD/CaM-AC1/cyclase ENZYME n 
addmsg /kinetics/cAMP_PSD/ATP /kinetics/AC_PSD/CaM-AC1/cyclase SUBSTRATE n 
addmsg /kinetics/AC_PSD/AC1 /kinetics/AC_PSD/CaM-AC SUBSTRATE n 
addmsg /kinetics/AC_PSD/CaM-AC1 /kinetics/AC_PSD/CaM-AC PRODUCT n 
addmsg /kinetics/CaM_PSD/CaMCa3 /kinetics/AC_PSD/CaM-AC SUBSTRATE n 
addmsg /kinetics/cAMP_PSD/ATP /kinetics/cAMP_PSD/leak SUBSTRATE n 
addmsg /kinetics/cAMP_PSD/cAMP /kinetics/cAMP_PSD/leak PRODUCT n 
addmsg /kinetics/AC_PSD/CaM-AC1/cyclase /kinetics/cAMP_PSD/ATP REAC sA B 
addmsg /kinetics/cAMP_PSD/leak /kinetics/cAMP_PSD/ATP REAC A B 
addmsg /kinetics/AC_PSD/CaM-AC1/cyclase /kinetics/cAMP_PSD/cAMP MM_PRD pA 
addmsg /kinetics/cAMP_PSD/leak /kinetics/cAMP_PSD/cAMP REAC B A 
addmsg /kinetics/cAMP_PSD/cAMP-PDE/PDE /kinetics/cAMP_PSD/cAMP REAC sA B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-B /kinetics/cAMP_PSD/cAMP REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-B[1] /kinetics/cAMP_PSD/cAMP REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A[1] /kinetics/cAMP_PSD/cAMP REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A[2] /kinetics/cAMP_PSD/cAMP REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-B[2] /kinetics/cAMP_PSD/cAMP REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A /kinetics/cAMP_PSD/cAMP REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A[3] /kinetics/cAMP_PSD/cAMP REAC A B 
addmsg /kinetics/PKA_PSD/cAMP-bind-site-A[4] /kinetics/cAMP_PSD/cAMP REAC A B 
addmsg /kinetics/cAMP_PSD/cAMP-PDE/PDE /kinetics/cAMP_PSD/AMP MM_PRD pA 
addmsg /kinetics/cAMP_PSD/cAMP-PDE/PDE /kinetics/cAMP_PSD/cAMP-PDE REAC eA B 
addmsg /kinetics/cAMP_PSD/cAMP-PDE /kinetics/cAMP_PSD/cAMP-PDE/PDE ENZYME n 
addmsg /kinetics/cAMP_PSD/cAMP /kinetics/cAMP_PSD/cAMP-PDE/PDE SUBSTRATE n 
addmsg /kinetics/PP1_PSD/I1-PP1 /kinetics/I1_PSD/I1_active REAC A B 
addmsg /kinetics/PKA_PSD/activePKA/PKA_active /kinetics/I1_PSD/I1_active MM_PRD pA 
addmsg /kinetics/CaN_PSD/activeCaN/CaN /kinetics/I1_PSD/I1_active REAC sA B 
addmsg /kinetics/PKA_PSD/activePKA/PKA_active /kinetics/I1_PSD/I1_inactive REAC sA B 
addmsg /kinetics/CaN_PSD/activeCaN/CaN /kinetics/I1_PSD/I1_inactive MM_PRD pA 
addmsg /kinetics/PP1_PSD/I1-PP1 /kinetics/PP1_PSD/PP1*_I1*_complex(inact) REAC B A 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_4 /kinetics/PP1_PSD/PP1_active REAC eA B 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_3 /kinetics/PP1_PSD/PP1_active REAC eA B 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_2 /kinetics/PP1_PSD/PP1_active REAC eA B 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_1 /kinetics/PP1_PSD/PP1_active REAC eA B 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_0 /kinetics/PP1_PSD/PP1_active REAC eA B 
addmsg /kinetics/PP1_PSD/I1-PP1 /kinetics/PP1_PSD/PP1_active REAC A B 
addmsg /kinetics/PP1_PSD/PP1_active /kinetics/PP1_PSD/PP1_active/Thr286_PP1_3 ENZYME n 
addmsg /kinetics/CaMKII_PSD/WP /kinetics/PP1_PSD/PP1_active/Thr286_PP1_3 SUBSTRATE n 
addmsg /kinetics/PP1_PSD/PP1_active /kinetics/PP1_PSD/PP1_active/Thr286_PP1_2 ENZYME n 
addmsg /kinetics/CaMKII_PSD/WT2 /kinetics/PP1_PSD/PP1_active/Thr286_PP1_2 SUBSTRATE n 
addmsg /kinetics/PP1_PSD/PP1_active /kinetics/PP1_PSD/PP1_active/Thr286_PP1_1 ENZYME n 
addmsg /kinetics/CaMKII_PSD/WT1 /kinetics/PP1_PSD/PP1_active/Thr286_PP1_1 SUBSTRATE n 
addmsg /kinetics/PP1_PSD/PP1_active /kinetics/PP1_PSD/PP1_active/Thr286_PP1_0 ENZYME n 
addmsg /kinetics/CaMKII_PSD/WT0 /kinetics/PP1_PSD/PP1_active/Thr286_PP1_0 SUBSTRATE n 
addmsg /kinetics/PP1_PSD/PP1_active /kinetics/PP1_PSD/PP1_active/Thr286_PP1_4 ENZYME n 
addmsg /kinetics/CaMKII_PSD/WA /kinetics/PP1_PSD/PP1_active/Thr286_PP1_4 SUBSTRATE n 
addmsg /kinetics/I1_PSD/I1_active /kinetics/PP1_PSD/I1-PP1 SUBSTRATE n 
addmsg /kinetics/PP1_PSD/PP1*_I1*_complex(inact) /kinetics/PP1_PSD/I1-PP1 PRODUCT n 
addmsg /kinetics/PP1_PSD/PP1_active /kinetics/PP1_PSD/I1-PP1 SUBSTRATE n 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_4 /kinetics/CaMKIIinact_PSD/WI MM_PRD pA 
addmsg /kinetics/CaMKII_PSD/kIB_kBI_3 /kinetics/CaMKIIinact_PSD/WI REAC A B 
addmsg /kinetics/CaMKII_PSD/kIB_kBI_2 /kinetics/CaMKIIinact_PSD/WI REAC A B 
addmsg /kinetics/CaMKII_PSD/kIB_kBI_1 /kinetics/CaMKIIinact_PSD/WI REAC A B 
addmsg /kinetics/CaMKII_PSD/kIB_kBI_0 /kinetics/CaMKIIinact_PSD/WI REAC A B 
addmsg /kinetics/CaMKII_PSD/WA /kinetics/CaMKII_PSD/kAT_kTA SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WT0 /kinetics/CaMKII_PSD/kAT_kTA PRODUCT n 
addmsg /kinetics/CaM_PSD/CaM /kinetics/CaMKII_PSD/kAT_kTA SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/kAT_kTA /kinetics/CaMKII_PSD/WA REAC A B 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_4 /kinetics/CaMKII_PSD/WA REAC sA B 
addmsg /kinetics/CaMKII_PSD/kTP_kPT_23 /kinetics/CaMKII_PSD/WT2 REAC A B 
addmsg /kinetics/CaMKII_PSD/kTP_kPT_12 /kinetics/CaMKII_PSD/WT2 REAC B A 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_2 /kinetics/CaMKII_PSD/WT2 REAC sA B 
addmsg /kinetics/CaMKII_PSD/VA2 /kinetics/CaMKII_PSD/WT2 REAC B A 
addmsg /kinetics/CaMKII_PSD/kTP_kPT_12 /kinetics/CaMKII_PSD/WT1 REAC A B 
addmsg /kinetics/CaMKII_PSD/kTP_kPT_01 /kinetics/CaMKII_PSD/WT1 REAC B A 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_1 /kinetics/CaMKII_PSD/WT1 REAC sA B 
addmsg /kinetics/CaMKII_PSD/VA1 /kinetics/CaMKII_PSD/WT1 REAC B A 
addmsg /kinetics/CaMKII_PSD/WP /kinetics/CaMKII_PSD/kTP_kPT_23 PRODUCT n 
addmsg /kinetics/CaMKII_PSD/WT2 /kinetics/CaMKII_PSD/kTP_kPT_23 SUBSTRATE n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/CaMKII_PSD/kTP_kPT_23 SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WT1 /kinetics/CaMKII_PSD/kTP_kPT_12 SUBSTRATE n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/CaMKII_PSD/kTP_kPT_12 SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WT2 /kinetics/CaMKII_PSD/kTP_kPT_12 PRODUCT n 
addmsg /kinetics/CaMKII_PSD/WT1 /kinetics/CaMKII_PSD/kTP_kPT_01 PRODUCT n 
addmsg /kinetics/CaMKII_PSD/WT0 /kinetics/CaMKII_PSD/kTP_kPT_01 SUBSTRATE n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/CaMKII_PSD/kTP_kPT_01 SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/kTP_kPT_01 /kinetics/CaMKII_PSD/WT0 REAC A B 
addmsg /kinetics/CaMKII_PSD/kAT_kTA /kinetics/CaMKII_PSD/WT0 REAC B A 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_0 /kinetics/CaMKII_PSD/WT0 REAC sA B 
addmsg /kinetics/CaMKII_PSD/VA0 /kinetics/CaMKII_PSD/WT0 REAC B A 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_3 /kinetics/CaMKII_PSD/WB3 MM_PRD pA 
addmsg /kinetics/CaMKII_PSD/kIB_kBI_3 /kinetics/CaMKII_PSD/WB3 REAC B A 
addmsg /kinetics/CaMKII_PSD/VA3 /kinetics/CaMKII_PSD/WB3 REAC A B 
addmsg /kinetics/CaMKII_PSD/CaMCa2-bind-Ca /kinetics/CaMKII_PSD/WB3 REAC B A 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_2 /kinetics/CaMKII_PSD/WB2 MM_PRD pA 
addmsg /kinetics/CaMKII_PSD/kIB_kBI_2 /kinetics/CaMKII_PSD/WB2 REAC B A 
addmsg /kinetics/CaMKII_PSD/VA2 /kinetics/CaMKII_PSD/WB2 REAC A B 
addmsg /kinetics/CaMKII_PSD/CaMCa-bind-Ca /kinetics/CaMKII_PSD/WB2 REAC B A 
addmsg /kinetics/CaMKII_PSD/CaMCa2-bind-Ca /kinetics/CaMKII_PSD/WB2 REAC A B 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_1 /kinetics/CaMKII_PSD/WB1 MM_PRD pA 
addmsg /kinetics/CaMKII_PSD/kIB_kBI_1 /kinetics/CaMKII_PSD/WB1 REAC B A 
addmsg /kinetics/CaMKII_PSD/VA1 /kinetics/CaMKII_PSD/WB1 REAC A B 
addmsg /kinetics/CaMKII_PSD/CaM-bind-Ca /kinetics/CaMKII_PSD/WB1 REAC B A 
addmsg /kinetics/CaMKII_PSD/CaMCa-bind-Ca /kinetics/CaMKII_PSD/WB1 REAC A B 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_0 /kinetics/CaMKII_PSD/WB0 MM_PRD pA 
addmsg /kinetics/CaMKII_PSD/kIB_kBI_0 /kinetics/CaMKII_PSD/WB0 REAC B A 
addmsg /kinetics/CaMKII_PSD/VA0 /kinetics/CaMKII_PSD/WB0 REAC A B 
addmsg /kinetics/CaMKII_PSD/CaM-bind-Ca /kinetics/CaMKII_PSD/WB0 REAC A B 
addmsg /kinetics/CaMKIIinact_PSD/WI /kinetics/CaMKII_PSD/kIB_kBI_3 SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WB3 /kinetics/CaMKII_PSD/kIB_kBI_3 PRODUCT n 
addmsg /kinetics/CaM_PSD/CaMCa3 /kinetics/CaMKII_PSD/kIB_kBI_3 SUBSTRATE n 
addmsg /kinetics/CaMKIIinact_PSD/WI /kinetics/CaMKII_PSD/kIB_kBI_2 SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WB2 /kinetics/CaMKII_PSD/kIB_kBI_2 PRODUCT n 
addmsg /kinetics/CaM_PSD/CaMCa2 /kinetics/CaMKII_PSD/kIB_kBI_2 SUBSTRATE n 
addmsg /kinetics/CaMKIIinact_PSD/WI /kinetics/CaMKII_PSD/kIB_kBI_1 SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WB1 /kinetics/CaMKII_PSD/kIB_kBI_1 PRODUCT n 
addmsg /kinetics/CaM_PSD/CaMCa /kinetics/CaMKII_PSD/kIB_kBI_1 SUBSTRATE n 
addmsg /kinetics/CaMKIIinact_PSD/WI /kinetics/CaMKII_PSD/kIB_kBI_0 SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WB0 /kinetics/CaMKII_PSD/kIB_kBI_0 PRODUCT n 
addmsg /kinetics/CaM_PSD/CaM /kinetics/CaMKII_PSD/kIB_kBI_0 SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WB3 /kinetics/CaMKII_PSD/VA3 SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WP /kinetics/CaMKII_PSD/VA3 PRODUCT n 
addmsg /kinetics/CaMKII_PSD/WB2 /kinetics/CaMKII_PSD/VA2 SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WT2 /kinetics/CaMKII_PSD/VA2 PRODUCT n 
addmsg /kinetics/CaMKII_PSD/WB1 /kinetics/CaMKII_PSD/VA1 SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WT1 /kinetics/CaMKII_PSD/VA1 PRODUCT n 
addmsg /kinetics/CaMKII_PSD/WB0 /kinetics/CaMKII_PSD/VA0 SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WT0 /kinetics/CaMKII_PSD/VA0 PRODUCT n 
addmsg /kinetics/CaMKII_PSD/kTP_kPT_23 /kinetics/CaMKII_PSD/WP REAC B A 
addmsg /kinetics/PP1_PSD/PP1_active/Thr286_PP1_3 /kinetics/CaMKII_PSD/WP REAC sA B 
addmsg /kinetics/CaMKII_PSD/VA3 /kinetics/CaMKII_PSD/WP REAC B A 
addmsg /kinetics/CaMKII_PSD/WB0 /kinetics/CaMKII_PSD/CaM-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WB1 /kinetics/CaMKII_PSD/CaM-bind-Ca PRODUCT n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/CaMKII_PSD/CaM-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WB1 /kinetics/CaMKII_PSD/CaMCa-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WB2 /kinetics/CaMKII_PSD/CaMCa-bind-Ca PRODUCT n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/CaMKII_PSD/CaMCa-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WB2 /kinetics/CaMKII_PSD/CaMCa2-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WB3 /kinetics/CaMKII_PSD/CaMCa2-bind-Ca PRODUCT n 
addmsg /kinetics/Ca_PSD/Ca /kinetics/CaMKII_PSD/CaMCa2-bind-Ca SUBSTRATE n 
addmsg /kinetics/CaMKII_PSD/WB0 /kinetics/CaMKII_PSD/WB SUMTOTAL n nInit 
addmsg /kinetics/CaMKII_PSD/WB1 /kinetics/CaMKII_PSD/WB SUMTOTAL n nInit 
addmsg /kinetics/CaMKII_PSD/WB2 /kinetics/CaMKII_PSD/WB SUMTOTAL n nInit 
addmsg /kinetics/CaMKII_PSD/WB3 /kinetics/CaMKII_PSD/WB SUMTOTAL n nInit 
addmsg /kinetics/CaMKII_PSD/WT0 /kinetics/CaMKII_PSD/WT SUMTOTAL n nInit 
addmsg /kinetics/CaMKII_PSD/WT1 /kinetics/CaMKII_PSD/WT SUMTOTAL n nInit 
addmsg /kinetics/CaMKII_PSD/WT2 /kinetics/CaMKII_PSD/WT SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_PSD/trap1 /kinetics/AMPAR_PSD/Scaffold REAC A B 
addmsg /kinetics/AMPAR_PSD/trap2 /kinetics/AMPAR_PSD/Scaffold REAC A B 
addmsg /kinetics/AMPAR_PSD/trap3 /kinetics/AMPAR_PSD/Scaffold REAC A B 
addmsg /kinetics/AMPAR_PSD/trap4 /kinetics/AMPAR_PSD/Scaffold REAC A B 
addmsg /kinetics/AMPAR_PSD/trap2 /kinetics/AMPAR_PSD/S845P_Trapped REAC B A 
addmsg /kinetics/AMPAR_PSD/trap1 /kinetics/AMPAR_PSD/Nophos_Trapped REAC B A 
addmsg /kinetics/AMPAR_PSD/S845P_Trapped /kinetics/AMPAR_PSD/Trapped_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_PSD/Nophos_Trapped /kinetics/AMPAR_PSD/Trapped_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_PSD/S845PStgP_Trapped /kinetics/AMPAR_PSD/Trapped_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_PSD/StgP_Trapped /kinetics/AMPAR_PSD/Trapped_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_PSD/Nophos /kinetics/AMPAR_PSD/PSD_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_PSD/S845P /kinetics/AMPAR_PSD/PSD_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_PSD/StgP /kinetics/AMPAR_PSD/PSD_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_PSD/S845PStgP /kinetics/AMPAR_PSD/PSD_AMPAR SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_PSD/trap1 /kinetics/AMPAR_PSD/Nophos REAC A B 
addmsg /kinetics/AMPAR_PSD/trap2 /kinetics/AMPAR_PSD/S845P REAC A B 
addmsg /kinetics/AMPAR_PSD/trap4 /kinetics/AMPAR_PSD/S845PStgP REAC A B 
addmsg /kinetics/AMPAR_PSD/trap3 /kinetics/AMPAR_PSD/StgP REAC A B 
addmsg /kinetics/AMPAR_PSD/trap3 /kinetics/AMPAR_PSD/StgP_Trapped REAC B A 
addmsg /kinetics/AMPAR_PSD/trap4 /kinetics/AMPAR_PSD/S845PStgP_Trapped REAC B A 
addmsg /kinetics/PKA_PSD/activePKA /kinetics/AMPAR_PSD/activePKAp SUMTOTAL n nInit 
addmsg /kinetics/CaN_PSD/activeCaN /kinetics/AMPAR_PSD/activeCaNp SUMTOTAL n nInit 
addmsg /kinetics/AMPAR_PSD/Scaffold /kinetics/AMPAR_PSD/trap4 SUBSTRATE n 
addmsg /kinetics/AMPAR_PSD/S845PStgP /kinetics/AMPAR_PSD/trap4 SUBSTRATE n 
addmsg /kinetics/AMPAR_PSD/S845PStgP_Trapped /kinetics/AMPAR_PSD/trap4 PRODUCT n 
addmsg /kinetics/AMPAR_PSD/Scaffold /kinetics/AMPAR_PSD/trap3 SUBSTRATE n 
addmsg /kinetics/AMPAR_PSD/StgP /kinetics/AMPAR_PSD/trap3 SUBSTRATE n 
addmsg /kinetics/AMPAR_PSD/StgP_Trapped /kinetics/AMPAR_PSD/trap3 PRODUCT n 
addmsg /kinetics/AMPAR_PSD/Scaffold /kinetics/AMPAR_PSD/trap2 SUBSTRATE n 
addmsg /kinetics/AMPAR_PSD/S845P /kinetics/AMPAR_PSD/trap2 SUBSTRATE n 
addmsg /kinetics/AMPAR_PSD/S845P_Trapped /kinetics/AMPAR_PSD/trap2 PRODUCT n 
addmsg /kinetics/AMPAR_PSD/Scaffold /kinetics/AMPAR_PSD/trap1 SUBSTRATE n 
addmsg /kinetics/AMPAR_PSD/Nophos /kinetics/AMPAR_PSD/trap1 SUBSTRATE n 
addmsg /kinetics/AMPAR_PSD/Nophos_Trapped /kinetics/AMPAR_PSD/trap1 PRODUCT n 
addmsg /kinetics/PP1_PSD/PP1_active /kinetics/AMPAR_PSD/activePP1p SUMTOTAL n nInit 
addmsg /kinetics/CaMKII_PSD/activeCaMKII /kinetics/AMPAR_PSD/activeCaMKIIp SUMTOTAL n nInit 
addmsg /kinetics/PP1_cytosol/PP1_active /graphs/conc1/PP1_active.Co PLOT Co *PP1_active.Co *2 
addmsg /kinetics/PKA_cytosol/activePKA /graphs/conc1/activePKA.Co PLOT Co *activePKA.Co *yellow 
addmsg /kinetics/CaN_cytosol/activeCaN /graphs/conc1/activeCaN.Co PLOT Co *activeCaN.Co *blue 
addmsg /kinetics/AC_cytosol/CaM-AC1 /graphs/conc1/CaM-AC1.Co PLOT Co *CaM-AC1.Co *yellow 
addmsg /kinetics/CaMKII_cytosol/activeCaMKII /graphs/conc1/activeCaMKII.Co PLOT Co *activeCaMKII.Co *red 
addmsg /kinetics/Ca_cytosol/Ca /graphs/conc1/Ca.Co PLOT Co *Ca.Co *62 
addmsg /kinetics/PP1_PSD/PP1_active /graphs/conc2/PP1_active.Co PLOT Co *PP1_active.Co *2 
addmsg /kinetics/PKA_PSD/activePKA /graphs/conc2/activePKA.Co PLOT Co *activePKA.Co *yellow 
addmsg /kinetics/CaN_PSD/activeCaN /graphs/conc2/activeCaN.Co PLOT Co *activeCaN.Co *blue 
addmsg /kinetics/AC_PSD/CaM-AC1 /graphs/conc2/CaM-AC1.Co PLOT Co *CaM-AC1.Co *yellow 
addmsg /kinetics/CaMKII_PSD/activeCaMKII /graphs/conc2/activeCaMKII.Co PLOT Co *activeCaMKII.Co *red 
addmsg /kinetics/Ca_PSD/Ca /graphs/conc2/Ca.Co PLOT Co *Ca.Co *62 
addmsg /kinetics/cAMP_PSD/cAMP /moregraphs/conc3/cAMP.Co PLOT Co *cAMP.Co *green 
addmsg /kinetics/I1_PSD/I1_active /moregraphs/conc3/I1_active.Co PLOT Co *I1_active.Co *red 
addmsg /kinetics/CaM_PSD/CaMCa3 /moregraphs/conc3/CaMCa3.Co PLOT Co *CaMCa3.Co *blue 
addmsg /kinetics/AMPAR_cytosol/Internal_AMPAR /moregraphs/conc4/Internal_AMPAR.Co PLOT Co *Internal_AMPAR.Co *50 
addmsg /kinetics/AMPAR_cytosol/Memb_AMPAR /moregraphs/conc4/Memb_AMPAR.Co PLOT Co *Memb_AMPAR.Co *40 
addmsg /kinetics/AMPAR_PSD/PSD_AMPAR /moregraphs/conc4/PSD_AMPAR.Co PLOT Co *PSD_AMPAR.Co *30 
addmsg /kinetics/AMPAR_PSD/Trapped_AMPAR /moregraphs/conc4/Trapped_AMPAR.Co PLOT Co *Trapped_AMPAR.Co *20 
enddump
// End of dump

call /kinetics/VGCCflux_cytosol/notes LOAD \
"70 nM initial conc from Holmes." \
""
call /kinetics/Ca_cytosol/Ca/notes LOAD \
"70 nM initial conc from Holmes." \
""
call /kinetics/AMPAR_cytosol/IN_OUT/notes LOAD \
"0.001666 (1/sec)" \
"-> 600 (sec) -> 10 (min)" \
"0.001111 (1/sec)" \
"-> 900 (sec) -> 15 (min)" \
"0.000555555 (1/sec)" \
"-> 1800 (sec) -> 30 (min)"
call /kinetics/AMPAR_cytosol/IN_OUT[1]/notes LOAD \
"0.001666 (1/sec)" \
"-> 600 (sec) -> 10 (min)" \
"0.001111 (1/sec)" \
"-> 900 (sec) -> 15 (min)" \
"0.000555555 (1/sec)" \
"-> 1800 (sec) -> 30 (min)"
call /kinetics/NMDARflux/notes LOAD \
"70 nM initial conc from Holmes." \
""
call /kinetics/VGCCflux_PSD/notes LOAD \
"70 nM initial conc from Holmes." \
""
call /kinetics/Ca_PSD/Ca/notes LOAD \
"70 nM initial conc from Holmes." \
""
complete_loading
