//
//genesis
//


newclass AMPARclass


/*
**********************************************************************
**                          OBJECT TABLE                            **
**********************************************************************
*/

//======================================================================
//	name		data_type	function	class		
//======================================================================


object  AMPAR_object AMPAR_struct AMPAR AMPARclass device \
        -author         "H.Urakubo Tokyo Univ 9/04" \
        -actions        PROCESS RESET \
        -readwrite	Gmax  "Normalizing (nS)" 1 \
        -readwrite	Esyn  "Equilibrium potential (mV)" 0 \
        -readwrite	G1    "state" 0 \
        -readwrite	G2    "state" 0 \
        -readwrite	tau   "Time const" 0.003 \
        -readwrite	prob  "Probabilistic release" 1 \
	    -readwrite	delay "delay time" 0 \
        -readwrite	flag  "flag for input" 0 \
        -readonly	G "Total conductance (nS)" \
        -readonly	ttime "Trigger time (sec)" \
        -readonly	Isyn "Total current (uA)" \
        -messages       VOLTAGE 0       1 Vm
