#include "struct_defs.h"

struct NMDAR_struct {
    ELEMENT_TYPE
    // FILE    *fp;
    double      Mg;
    double      Ei;
    double      Jca;
    double      Ji;
    double      Vca;
    double      Vi;
    double      Pca;
    double      Gmax;
  // 0... no-CaM
  // 1... 2Ca2+CaM
  // 2... 3Ca2+CaM
    double      N0[3];
    double      N1[3];
    double      N2[3];
    double      N3[3];
    double      No[3];
  //
    double      Nt0;
    double      Nt1;
    double      Nt2;
    double      Nopen;
  //
    double      Kfcam1;
    double      Kfcam2;
    double      Kfcam3;
    double      Kfcam4;
    double      Kfcam5;
    double      Kbcam1;
    double      Kbcam2;
    double      Kbcam3;
    double      Kbcam4;
    double      Kbcam5;
  //
    double      Kf1;
    double      Kf2;
    double      Kb1;
    double      Kb2;
    double      Kf5;
    double      Kf6;
    double      Kb5;
    double      Kb6;
  //
    double      k_c2_c3;
    double      k_c3_c2;
  //
    double      Glu;
    int         flag;
    int         stack;
  //
    double      GGlu[10];
    double      ttime[10];
    double      delay;
};

