#include "T286Phos_ext.h"

/* H.Urakubo U of Tokyo 2/04 */

T286Phos(T286,action)
struct T286Phos_struct *T286;
Action		*action;
{

MsgIn	*msg;
double	cb, Wb, cp, Wp, ct, Wt, ca, Wa, T, Ka, TotalW, tmp;

    SELECT_ACTION(action){
    case PROCESS:

      MSGLOOP(T286,msg) {
      case 0: /* SETWI */
        T286->WI = MSGVALUE(msg,0);
       	break;
      case 1: /* SETWB */
	T286->WB = MSGVALUE(msg,0);
	break;
      case 2: /* SETWP */
	T286->WP = MSGVALUE(msg,0);
	break;
      case 3: /* SETWT */
        T286->WT = MSGVALUE(msg,0);
	break;
      case 4: /* SETWA */
	T286->WA = MSGVALUE(msg,0);
	break;
      default:
	printf("Unknown message\n");
	break;
      }

      TotalW = T286->WI + T286->WB + T286->WP + T286->WT + T286->WA;
      cb = T286->cB;
      Wb = T286->WB / TotalW;
      cp = T286->cP;
      Wp = T286->WP / TotalW;
      ct = T286->cT;
      Wt = T286->WT / TotalW;
      ca = T286->cA;
      Wa = T286->WA / TotalW;

      T = Wb + Wp + Wt + Wa;
      tmp = T * (T286->a + T286->b*T + T286->c*T*T);
      tmp = tmp * cb * (cb*Wb + cp*Wp + ct*Wt + ca*Wa);
      tmp = tmp * (tmp > 0);
      T286->va = T286->KAd * tmp;
      T286->active = cb*T286->WB + cp*T286->WP + ct*T286->WT + ca*T286->WA;
      T286->T = T;
      break;
    }
}
