//genesis
//

//addfunc T286Phos T286Phos
newclass	T286Phosclass

/*
**********************************************************************
**                          OBJECT TABLE                            **
**********************************************************************
*/

//======================================================================
//	name		data_type	function	class		
//======================================================================

object	T286Phos_object T286Phos_struct	T286Phos	T286Phosclass device \
	-author 	"H. Urakubo, Univ. of Tokyo, 2/04" \
	-actions	PROCESS RESET \
	-readonly va "output VA" \
	-readonly active "output" \
	-readonly T "(WB + WP + WT + WA)/W_total" \
	-readwrite WI "Conc. of inactive state (uM)"\
	-readwrite cB "Kinase efficacy of CaCaM-bound state" 0.75\
	-readwrite WB "Conc. of CaCaM-bound state (uM)"\
	-readwrite cP "Kinase efficacy of CaCaM-bound T286-phospho state" 1\
	-readwrite WP "Conc. of CaCaM-bound T286-phospho state (uM)"\
	-readwrite cT "Kinase efficacy of Trapping state" 0.8\
	-readwrite WT "Conc. of Trapping state (uM)"\
	-readwrite cA "Kinase efficacy of autonomous state" 0.8\
	-readwrite WA "Conc. of autonomous state (uM)"\
	-readwrite KAd "Rate const of autophosphorylation (sec^{-1})" 0.29\
	-readwrite a "constant" -0.220\
	-readwrite b "constant" 1.826\
	-readwrite c "constant" -0.800\
	-messages SETWI 0 1 input0\
	-messages SETWB 1 1 input1\
	-messages SETWP 2 1 input2\
	-messages SETWT 3 1 input3\
	-messages SETWA 4 1 input4\
	-description "Calculates VA, Thr286 phosphorylation speed" \
			"of CaMKII holoenzymes."
