//
// Ca2+ efflux
//

str name1 = "/kinetics/Ca_PSD/Ca"
str name2 = "/kinetics/Resting_Ca2+"
str name3 = "/efflux_PSD"

      create concchan {name3}
      setfield {name3} n 1
      addmsg {name3} {name1} REAC A B 
      addmsg {name1} {name3} SUBSTRATE n vol
      addmsg {name3} {name2} REAC B A
      addmsg {name2} {name3} PRODUCT n vol

str name1 = "/kinetics/Ca_cytosol/Ca"
str name2 = "/kinetics/Resting_Ca2+"
str name3 = "/efflux_cytosol"

      create concchan {name3}
      setfield {name3} n 1
      addmsg {name3} {name1} REAC A B 
      addmsg {name1} {name3} SUBSTRATE n vol
      addmsg {name3} {name2} REAC B A
      addmsg {name2} {name3} PRODUCT n vol


// SVR
//
// PSD     2.793e5 /cm
// cytosol 1.015e5 /cm
//

float SVR_PSD = 1.7927e5
float SVR_ctl = 1.0426e5

setfield /efflux_PSD perm {SVR_PSD * 0.8}
setfield /efflux_cytosol perm {SVR_ctl * 0.8}
