
function saves_element(FILEDIR, OBJ, VAR, j)
str FILEDIR, OBJ, VAR
int j
str suffix, objdir, filename

    suffix = {strcat {VAR} {j}}
    objdir = {strcat "/OUTPUTfile/" {suffix}}
    filename = {strcat {FILEDIR} {suffix}}
    echo > {filename}
    create Save_DATA {objdir}
    addmsg  {OBJ} {objdir} SAVE {VAR}
    setfield {objdir} filename {filename}
    setfield {objdir} leave_open 1 flush 0
    useclock {objdir} 4
end

function saves_init(directory)
create neutral /OUTPUTfile
  str directory, plot, suffix, objdir, filename
  int i = 1
  directory = {strcat {directory} "/"}
  foreach  plot ({el /#graphs/#[]/#.Co})
    suffix = {strcat {getpath {plot} -tail} {i}}
    objdir = {strcat "/OUTPUTfile/" {suffix}}
    filename = {strcat {directory} {suffix}}
    echo > {filename}
    create Save_DATA {objdir}
    addmsg  {getmsg {plot} -in -source 0} {objdir} SAVE Co
    setfield {objdir} filename {filename}
    setfield {objdir} leave_open 1 flush 0
    useclock {objdir} 4
    i = i + 1
  end
  foreach  plot ({el /#graphs/#[]/#.CoComplex})
    suffix = {strcat {getpath {plot} -tail} {i}}
    objdir = {strcat "/OUTPUTfile/" {suffix}}
    filename = {strcat {directory} {suffix}}
    echo > {filename}
    create Save_DATA {objdir}
    addmsg  {getmsg {plot} -in -source 0} {objdir} SAVE CoComplex
    setfield {objdir} filename {filename}
    setfield {objdir} leave_open 1 flush 0
    useclock {objdir} 4
    i = i + 1
  end
//
    str target = {TARGET}
    suffix = {strcat "membrane_potential" {i}}
    objdir = {strcat "/OUTPUTfile/" {suffix}}
    filename = {strcat {directory} {suffix}}
    echo > {filename}
    create Save_DATA {objdir}
    addmsg  {target} {objdir} SAVE Vm
    setfield {objdir} filename {filename}
    setfield {objdir} leave_open 1 flush 0
    useclock {objdir} 4
    i = i + 1

    str OBJ = "/cell/NMDAR_Ca"
    str VAR = "Nt0"
    saves_element {directory} {OBJ} {VAR} {i}
    i = i + 1

    str OBJ = "/cell/NMDAR_Ca"
    str VAR = "Nt1"
    saves_element {directory} {OBJ} {VAR} {i}
    i = i + 1

    str OBJ = "/cell/NMDAR_Ca"
    str VAR = "Nt2"
    saves_element {directory} {OBJ} {VAR} {i}
    i = i + 1

    str OBJ = "/cell/NMDAR_Ca"
    str VAR = "Nopen"
    saves_element {directory} {OBJ} {VAR} {i}
    i = i + 1

    str OBJ = "/cell/soma"
    str VAR = "Vm"
    saves_element {directory} {OBJ} {VAR} {i}
    i = i + 1
  reset
//
end
//
function saves_start
  str plot
  foreach  plot ({el /#OUTPUTfile/#[]})
  call {plot} OPEN
  end
end
//
function saves_end
  str plot 
  foreach  plot ({el /#OUTPUTfile/#[]})
  call {plot} FLUSH
  call {plot} SAVE
  delete {plot}
  end
  delete /OUTPUTfile
  reclaim
end
//

function RESET_SAVE_COUNTER
  str plot 
  foreach  plot ({el /#OUTPUTfile/#[]})
  setfield {plot} counter 0
  end
end
